commit 14498969513feb9fc2248638ccd1f88a894736b2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   2014-11-30

    Release 3.14.0 (for GNOME 3.14)

    https://bugzilla.gnome.org/show_bug.cgi?id=738981

M	NEWS
M	configure.ac

commit bf3a800d02b74106e0c7a0ea96a1f83ca353f4dd
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:	2014-07-31

    [backends/vala] Support libvala-0.26

M	configure.ac

commit b349461eb0dda9d7a9c165784a2b024692c42185
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-11

    [backends/c] Remove debug statement

M	backends/c/service.py

commit 0680b150278ae068b836a66264eaae4237544d27
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-11

    [backends/c] Try both clang and llvm-clang to find sys include

M	backends/c/service.py

commit d2ded32e2275005cf7df5269fbe4bc5091d2deb1
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-11

    [backends/c] Fallback on ctypes find_library if needed

M	backends/c/service.py

commit 3e250d6bed5f0aa2f56c4ef8ceed5aaa64c3dffa
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Add global system include dir if found

M	backends/c/service.py

commit ee27697e8e7b33a2dfe90502cc8ce4414e44888d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2014-04-16

    Added python deps for C backend

M	README

commit ebf98d6a4aad1645fc447c17544f569946703344
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2014-04-16

    Added short list of backends and deps

M	README

commit 65b11ce62b97bf2cf4848461c91b7db9f39e99ce
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-25

    Release 0.3.1

M	NEWS
M	configure.ac

commit 00c2d92e7688e733741343315ab2c2abbf0ed365
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-25

    [backends/jscommon] dbus interfaces need to be wrapped around
    <node></node>

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit ebb0883b0e79e85d7acb2c2f7ffa6e1f872df059
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-12

    Fix problems on completion api

    CCRStructure was not a public class so we were ending up
    getting some corrupted memory. This converts the CompletionResults
    into an iterable object

M	backends/c/clang/cindex.py

commit ef0ae2bbc64b23774da497b5c85a613bd0924e11
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-03-11

    clang: encode path before using it

M	backends/c/clang/cindex.py

commit e3b67f702e3f4ebd09a904b3da39acc1ee438630
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-03-05

    [backends/vala] Added missing config.vapi file

A	backends/vala/config.vapi

commit 8bb60b4764b6a25ab057ac82c96e63c310f51910
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-03-05

    [backends/vala] Only add .vala=.c files to ignores

M	backends/vala/Makefile.am

commit a8a34e67b8505927da32e19e5b7eb59ae7fd3ecb
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-03-05

    [tests] Run service test using full $(srcdir) path

M	tests/Makefile.am

commit 1236bd0b4c29fe4405cd0e31d64e854cd07a22a8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-03-05

    [tests] Distribute test files using EXTRA_DIST

M	tests/Makefile.am

commit 709ef04267e8df1def32057fefe84c0391355958
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-03-05

    [backends/go] Add deps to EXTRA_DIST

M	backends/go/Makefile.am
A	backends/go/deps.mk
A	backends/go/mkdeps.py

commit 1a339a255c287848ef9b47220dfe9b95d36226e3
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-03-05

    [backends/vala] Depend on vapis in SOURCES instead of stamp rules

M	backends/vala/Makefile.am

commit 6eb9730073442907e343f04737169fb05f9d9589
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-03-05

    [backends/vala] Use vapi file  for config

    This fixes a distcheck issue where due to a newly generated
    config.vala, all
    vala files were going to be rebuild (instead of using pre-generated
    c files)

M	backends/vala/Makefile.am
D	backends/vala/config.vala.in
M	backends/vala/service.vala
M	configure.ac

commit a31c0d7dbcfa4b9956770d206aec56f2d04fb634
Author: Elad Alfassa <elad@fedoraproject.org>
Date:	2014-03-03

    [backends/python] Check for PEP8 coding-style errors

    https://bugzilla.gnome.org/show_bug.cgi?id=725621

M	backends/python/__init__.py

commit 6b24b17eddce50a4443e4f80559444868ef8dfce
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-02-06

    Fix link in the README

M	README

commit db34774e0003f0c3086b64be7c412712650ad54d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-16

    [backends/vala] Yet again fix vala automake dependency things

    https://bugzilla.gnome.org/show_bug.cgi?id=720526

M	backends/vala/Makefile.am

commit 11689d086804c486d46dbc1bf5278b607e70b7dc
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-09

    Do not ignore targets starting with .

M	backends/c/makefileintegration.py

commit 4ce604aed7e0da82639616191dccd6d1bdfd321f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-04

    [backends/vala] Use streams instead of channels

M	backends/vala/Makefile.am
M	backends/vala/service.vala
M	configure.ac

commit 3b8056153c07e3805aa9fc674fa285b93580a7a8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-04

    [backends/vala] Make sure to push/pop codecontext

M	backends/vala/helper.vala

commit bf72e7c7a408bb22d27ed2f1ab50ea675533cd94
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-04

    [backends/vala] Use external helper to parse

    libvala has memory leaks which cannot be prevented at the
    moment. Therefore, move the actual parsing out of process.

M	Makefile.am
M	backends/vala/Makefile.am
C058	backends/vala/service.vala	backends/vala/config.vala.in
M	backends/vala/dbus.vala
M	backends/vala/diagnostics.vala
C053	backends/vala/types.vala	backends/vala/hashutils.vala
A	backends/vala/helper.vala
M	backends/vala/makefileintegration.vala
A	backends/vala/rpc.vala
M	backends/vala/service.vala
M	backends/vala/types.vala
M	backends/vala/valaoptionparser.vala
M	configure.ac

commit a9303da0d3843c3fb5d71c9163eb75ffdd6136ff
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-18

    [backends/vala] Refactor dbus service

M	backends/vala/dbus.vala
M	backends/vala/document.vala

commit 8cc68e47939da75738148aaa09488cbccb688061
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-18

    [backends/vala] Simplified namespaces

M	backends/vala/dbus.vala
M	backends/vala/diagnostics.vala
M	backends/vala/document.vala
M	backends/vala/service.vala
M	backends/vala/types.vala

commit 2ccef7e0a6b8f01f45879d312a1b77f9d93f9000
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-18

    [backends/vala] Fix makefile integration for vala

M	backends/vala/makefileintegration.vala

commit 74485eb0b3cb32cd0b764f397174489a759b4dd8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [backends/vala] Move options into application

M	backends/vala/Makefile.am
M	backends/vala/application.vala
D	backends/vala/options.vala

commit 5eac590c64d61c49b5fb7543d9939a507a211aaf
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [backends/vala] Split diagnostics in separate file

M	backends/vala/Makefile.am
C080	backends/vala/service.vala	backends/vala/diagnostics.vala
M	backends/vala/service.vala

commit cf3383a0828cd55cbda4b2a040e85a40b5375ab6
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:	2013-12-04

    Update homepage

M	gnome-code-assistance.doap

commit b9420f55d841d4f7d74beab241a1014ef1ff4f76
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-04

    [backends/c] Do not filter out -std= flag

M	backends/c/makefileintegration.py

commit 58bae9a2824eb4ec4f3a6ea796a46ccd78f82947
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-04

    Do not override -x if already given

M	backends/c/makefileintegration.py

commit f1afbe50e5fc2c2f573622180efdbf03ede77d97
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-04

    Force -xc++ flag when compiling with CXX

M	backends/c/makefileintegration.py

commit cd34dec920bc2bfd0d44a2e09035474cc4e3ddd0
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-04

    Always return first found flags

M	backends/c/makefileintegration.py

commit de329a2c9d7beb534e707d7d96b57533801cdb09
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-27

    [backends/c] Call make on current dir

M	backends/c/makefileintegration.py

commit bd3a0e88a549a0eb2a69ad3c8795e1471b9e551c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-16

    [tests] Added python parse test

M	tests/backends/python.json
A	tests/backends/python/python_fail.py

commit 83974483ec971eaf6ad56758bd9f71f496b90551
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-16

    [backends/jscommon] Flush all messages before quitting

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit 0c537a1672a63758ba891ce5df82ddf8f404c649
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-16

    [backends/jscommon] Own name from main loop

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit 4b55b0217027e3aa6dd365327d6e5ec066a3ddf4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-16

    [backends/jscommon] Fix racy exit from dispose

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit 957dcb6420c55fc42c3f0dffb7b54c9d286e410c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-16

    [backends/jscommon] Added missing argument in document dispose

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit 5eda81d4def6e2b5e288f24e9973835009c60afa
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-16

    [backends/jscommon] Properly finalize application

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit 3c2da602a922a85de7aecd04b5107abdca04965b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-16

    [tests] Added js test

M	tests/backends/js.json
A	tests/backends/js/js_fail.js

commit 7b62e83b3c3e0228b6412f730abde4b78076ae0f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-16

    [tests] Move test files to subdirs

M	tests/backends/go.json
R100	tests/backends/go_fail.go	tests/backends/go/go_fail.go
M	tests/backends/ruby.json
R100	tests/backends/ruby_fail.rb	tests/backends/ruby/ruby_fail.rb

commit 836dafe2ec46eac188a6d4dfe1b8f418fa47ff99
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [backends/js] Fix wrong order of arguments in Parse

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit 1106754e4e9fb25fbb947f6c8855356f3c053ab4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    Added test ignore files

M	Makefile.am

commit a85c0e17c44d3226607137eb004177f91cb6e24c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests/c] Added missing test files

A	tests/backends/c/all/test.cc
A	tests/backends/c/all/test.hh

commit cdc34132ec711c3965e1c88bde5564e219452c58
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [backends/rbcommon] Properly exit

M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb

commit 93957f94da9436806cda1d3da452447fb955e153
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests/json] Move fail file to subdir

M	tests/backends/json.json
R100	tests/backends/json_fail.json	tests/backends/json/json_fail.json

commit a1e018c50b2be1b8bf963a8dbf35eeab5e538d52
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests] Added json test

A	tests/backends/json.json
A	tests/backends/json_fail.json

commit 42b0fa522c910553c063ddd85a3bfacdd870bd56
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [backends/css] Update sass deps

M	backends/css/Makefile.am
M	backends/css/deps.mf
M	backends/css/mkdeps.py

commit b491edae4253427a1dc10f58a44a0228d91fce69
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [backends/json] New json backend

M	backends/Makefile.am
A	backends/json/Makefile.am
A	backends/json/__init__.py
A	backends/json/deps.mf
A	backends/json/deps/simplejson/__init__.py
A	backends/json/deps/simplejson/compat.py
A	backends/json/deps/simplejson/decoder.py
A	backends/json/deps/simplejson/encoder.py
A	backends/json/deps/simplejson/ordered_dict.py
A	backends/json/deps/simplejson/scanner.py
A	backends/json/json.in
A	backends/json/mkdeps.py
A	backends/json/org.gnome.CodeAssist.v1.json.service.in
M	configure.ac

commit a6f74a4af8501425613228ab4e8f1993bdaf9427
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests/go] Check for implementation of Project

M	tests/backends/go.json

commit c75563b189956868a8729685b7c1fa3629feffae
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests] Close bus when done

M	tests/service

commit d772de18b7bbf1604cb105cd5ecabf1ac329a151
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests] Test dispose and exit after dispose

M	tests/service

commit 41402437320c0583279e36120aa1b494e055fc00
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests] Add get_object helper

M	tests/service

commit 3e5d898720405a49c469cf9dfacefb6beee0ca4d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests] Improve colored output

M	tests/service

commit 35c0c0a1f0aa30b8832bff52017695c040709446
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [backends/go] Fix not replying on exit

M	backends/go/server_dbus.go

commit 8ad519983c1901070cc63c887f3650713f2f1236
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [backends/go] Fix deadlock in unexporting objects

M	backends/go/transport_dbus.go

commit faea0919d43bcba016d48cf9b4f188f71ee8a7cf
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    [tests] Added parse test for go backend

M	tests/backends/go.json
A	tests/backends/go_fail.go

commit 1f8e38bcb8b5e7ad3e5b574a6181c7773443e972
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-15

    Add back missing GCA_BACKENDS_EXEC_DIR

M	configure.ac

commit 5824b8a69de6c75bbe6646e26df3845472146507
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [backends/rbcommon] Just use ternary

M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb

commit 0eb177df0d49fa4034ef4031f064e1b1e5ada8c7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] More colorful output

M	tests/service

commit abc421f7a3d5de0af8d1adf1cb2ae0b0a3015d5d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Exit with code 1 on failures

M	tests/service

commit dbe12ee734139b59b8ff269384e6317b0d9cb411
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Nicer output

M	tests/service

commit 501c3047ef96845b3db30413e7a2cb75a568b2d2
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests/c] Added ParseAll test

M	tests/backends/c.json

commit 90598fb3040f9b7e55ce0c40d279e0f392a38310
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Easier way to run individual tests

M	tests/service

commit f49e2709fb3818ee0c95e5f7e3b3e637804c04b7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Fix typo in attribute name

M	tests/service

commit 325225dcef47a5d054d91f3a4cf1fb2791b9274a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Implemented parse_all tests

M	tests/gcatypes.py
M	tests/service

commit 3f573c7f2c9d9979aeabe581d7229d48248eaeea
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests/c] Check for Project interface

M	tests/backends/c.json
M	tests/interfaces.json

commit 7b89c32fd9aaf5fdadaebf60cce10c654347a287
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [backends/c] Fix calling single parse

M	backends/c/service.py

commit 99ab153ad13b1d1694213a19aa83d5507210d552
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Added tests for C diagnostics

M	tests/backends/c.json
A	tests/backends/c/makefile/Makefile
A	tests/backends/c/makefile/includes/test.hh
A	tests/backends/c/makefile/test.cc

commit f60c3ace30a00e7efa5c46c4ed2e15917bf2cd3d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Better printing

M	tests/service

commit e17206c5302c7e5f28a9e3cffad02bb49745cf3f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Run tests on installcheck

M	tests/Makefile.am

commit 561829b351e29185d8c90c046f56ce5e56ef4156
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] config.py.in no longer needed

M	configure.ac
D	tests/config.py.in

commit ab93fbfa2f6b5a4dd3e87c31cdc1060288c0bf2a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Implemented testing diagnostics

A	tests/gcatypes.py
M	tests/service

commit 0627caf7412f58ffd4bdf809ef6f315455886161
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [tests] Fixed ruby test

M	tests/backends/ruby.json
R100	tests/backends/ruby.rb	tests/backends/ruby_fail.rb

commit add2df74b5f6156ec18a8c2ae1474c3203407c1f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [backends/rbcommon] Fix empty data path fallback on path

M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb

commit de93621eafbe23928dddc1962779a90e918846e8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [backends/rbcommon] Expose org.gnome.CodeAssist.v1.Document interface

M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb

commit 9ad92fcf0579d1d13cca5602b5b94889fa9ed0ae
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [backends/pycommon] Expose org.gnome.CodeAssist.v1.Document when
    introspecting

M	backends/pycommon/gnome/codeassistance/transport_dbus.py

commit c253993b68d7840e54aef5ff787881f7cbc17c02
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Added start of basic tests

M	Makefile.am
M	configure.ac
A	tests/Makefile.am
A	tests/backends/c.json
A	tests/backends/css.json
A	tests/backends/go.json
A	tests/backends/js.json
A	tests/backends/python.json
A	tests/backends/ruby.json
A	tests/backends/ruby.rb
A	tests/backends/sh.json
A	tests/backends/vala.json
A	tests/backends/xml.json
A	tests/config.py.in
A	tests/dbus.conf.in
A	tests/interfaces.json
A	tests/service

commit 317e10abcb2793d320a5cd3714a03722d06c45ca
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Fix bugzilla reference and website

M	configure.ac

commit 53f9ce982ddfd15b204287ad4dc7ca88517211fc
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [doap] Fixed download page

M	gnome-code-assistance.doap

commit 0a94dcc23259ab834905c17473fa86bebfcd1dca
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [doap] Fixed homepage

M	gnome-code-assistance.doap

commit 5e669e8b748a38f952806b08b6e8d7302413cfb7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Release version to 0.3.0

M	NEWS
M	configure.ac

commit 08bfde8faf9a3844defd6898e1d2ab27e4b1bbd9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Added bug database to doap

M	gnome-code-assistance.doap

commit 7e2be3dcfd5fbda42dc36ce0a7483047d5cb6a45
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Set version to 0.1.0

M	configure.ac

commit 2b29202da309eec4e3c33a1eda0b2f7129da9c29
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Add __pycache__ to ignores

M	Makefile.am

commit dec0178c17e1aa0ddf4164dbb1792051b0354954
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Fix distcheck

M	backends/c/Makefile.am
M	backends/css/Makefile.am
M	backends/go/Makefile.am
M	backends/js/Makefile.am
M	backends/jscommon/Makefile.am
M	backends/python/Makefile.am
M	backends/rbcommon/Makefile.am
M	backends/ruby/Makefile.am
M	backends/sh/Makefile.am
M	backends/vala/Makefile.am
M	backends/xml/Makefile.am

commit bd7c005fece33473cb7e01211b3135d1d2e0aa63
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    MAINTAINERCLEANFILES is already defined

M	Makefile.am

commit f4c0f4a2bf1ee06a9f44c8384f03ea875dd33f0b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    [backends/css] Added support for parsing sass

M	backends/css/app.rb
M	data/org.gnome.codeassistance.gschema.xml.in

commit 171d15ea0316e9fa8778727963c9dd73015d5ebf
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-14

    Add language mapping setting

M	Makefile.am
M	configure.ac
A	data/Makefile.am
A	data/org.gnome.codeassistance.gschema.xml.in

commit ff29d820bffe197c564716e3e17984b039fa2764
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-13

    [backends/css] Do not try to fix for ending newline

M	backends/css/app.rb

commit e15571725ac1c3a09887651f2d6ce220921bac7a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-13

    [backends/css] Report column

M	backends/css/app.rb

commit aa70ac4a9e66a3f5c0262fb448c200872162a9db
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-13

    [backends/css] New css backend

M	backends/Makefile.am
A	backends/css/Makefile.am
A	backends/css/app.rb
A	backends/css/css.in
A	backends/css/deps.mf
A	backends/css/gems/sass-3.2.12/.yardopts
A	backends/css/gems/sass-3.2.12/CONTRIBUTING
A	backends/css/gems/sass-3.2.12/MIT-LICENSE
A	backends/css/gems/sass-3.2.12/README.md
A	backends/css/gems/sass-3.2.12/REVISION
A	backends/css/gems/sass-3.2.12/Rakefile
A	backends/css/gems/sass-3.2.12/VERSION
A	backends/css/gems/sass-3.2.12/VERSION_DATE
A	backends/css/gems/sass-3.2.12/VERSION_NAME
A	backends/css/gems/sass-3.2.12/bin/sass
A	backends/css/gems/sass-3.2.12/bin/sass-convert
A	backends/css/gems/sass-3.2.12/bin/scss
A	backends/css/gems/sass-3.2.12/extra/update_watch.rb
A	backends/css/gems/sass-3.2.12/init.rb
A	backends/css/gems/sass-3.2.12/lib/sass.rb
A	backends/css/gems/sass-3.2.12/lib/sass/cache_stores.rb
A	backends/css/gems/sass-3.2.12/lib/sass/cache_stores/base.rb
A	backends/css/gems/sass-3.2.12/lib/sass/cache_stores/chain.rb
A	backends/css/gems/sass-3.2.12/lib/sass/cache_stores/filesystem.rb
A	backends/css/gems/sass-3.2.12/lib/sass/cache_stores/memory.rb
A	backends/css/gems/sass-3.2.12/lib/sass/cache_stores/null.rb
A	backends/css/gems/sass-3.2.12/lib/sass/callbacks.rb
A	backends/css/gems/sass-3.2.12/lib/sass/css.rb
A	backends/css/gems/sass-3.2.12/lib/sass/engine.rb
A	backends/css/gems/sass-3.2.12/lib/sass/environment.rb
A	backends/css/gems/sass-3.2.12/lib/sass/error.rb
A	backends/css/gems/sass-3.2.12/lib/sass/exec.rb
A	backends/css/gems/sass-3.2.12/lib/sass/importers.rb
A	backends/css/gems/sass-3.2.12/lib/sass/importers/base.rb
A	backends/css/gems/sass-3.2.12/lib/sass/importers/filesystem.rb
A	backends/css/gems/sass-3.2.12/lib/sass/logger.rb
A	backends/css/gems/sass-3.2.12/lib/sass/logger/base.rb
A	backends/css/gems/sass-3.2.12/lib/sass/logger/log_level.rb
A	backends/css/gems/sass-3.2.12/lib/sass/media.rb
A	backends/css/gems/sass-3.2.12/lib/sass/plugin.rb
A	backends/css/gems/sass-3.2.12/lib/sass/plugin/compiler.rb
A	backends/css/gems/sass-3.2.12/lib/sass/plugin/configuration.rb
A	backends/css/gems/sass-3.2.12/lib/sass/plugin/generic.rb
A	backends/css/gems/sass-3.2.12/lib/sass/plugin/merb.rb
A	backends/css/gems/sass-3.2.12/lib/sass/plugin/rack.rb
A	backends/css/gems/sass-3.2.12/lib/sass/plugin/rails.rb
A	backends/css/gems/sass-3.2.12/lib/sass/plugin/staleness_checker.rb
A	backends/css/gems/sass-3.2.12/lib/sass/railtie.rb
A	backends/css/gems/sass-3.2.12/lib/sass/repl.rb
A	backends/css/gems/sass-3.2.12/lib/sass/root.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/arg_list.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/bool.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/color.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/css_lexer.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/css_parser.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/funcall.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/functions.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/interpolation.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/lexer.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/list.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/literal.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/null.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/number.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/operation.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/parser.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/string.rb
A
backends/css/gems/sass-3.2.12/lib/sass/script/string_interpolation.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/unary_operation.rb
A	backends/css/gems/sass-3.2.12/lib/sass/script/variable.rb
A	backends/css/gems/sass-3.2.12/lib/sass/scss.rb
A	backends/css/gems/sass-3.2.12/lib/sass/scss/css_parser.rb
A	backends/css/gems/sass-3.2.12/lib/sass/scss/parser.rb
A	backends/css/gems/sass-3.2.12/lib/sass/scss/rx.rb
A	backends/css/gems/sass-3.2.12/lib/sass/scss/script_lexer.rb
A	backends/css/gems/sass-3.2.12/lib/sass/scss/script_parser.rb
A	backends/css/gems/sass-3.2.12/lib/sass/scss/static_parser.rb
A	backends/css/gems/sass-3.2.12/lib/sass/selector.rb
A
backends/css/gems/sass-3.2.12/lib/sass/selector/abstract_sequence.rb
A	backends/css/gems/sass-3.2.12/lib/sass/selector/comma_sequence.rb
A	backends/css/gems/sass-3.2.12/lib/sass/selector/sequence.rb
A	backends/css/gems/sass-3.2.12/lib/sass/selector/simple.rb
A	backends/css/gems/sass-3.2.12/lib/sass/selector/simple_sequence.rb
A	backends/css/gems/sass-3.2.12/lib/sass/shared.rb
A	backends/css/gems/sass-3.2.12/lib/sass/supports.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/charset_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/comment_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/content_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/css_import_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/debug_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/directive_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/each_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/extend_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/for_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/function_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/if_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/import_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/media_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/mixin_def_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/mixin_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/prop_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/return_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/root_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/rule_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/supports_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/trace_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/variable_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/base.rb
A
backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/check_nesting.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/convert.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/cssize.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/deep_copy.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/extend.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/perform.rb
A
backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/set_options.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/visitors/to_css.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/warn_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/tree/while_node.rb
A	backends/css/gems/sass-3.2.12/lib/sass/util.rb
A
backends/css/gems/sass-3.2.12/lib/sass/util/multibyte_string_scanner.rb
A	backends/css/gems/sass-3.2.12/lib/sass/util/subset_map.rb
A	backends/css/gems/sass-3.2.12/lib/sass/util/test.rb
A	backends/css/gems/sass-3.2.12/lib/sass/version.rb
A	backends/css/gems/sass-3.2.12/rails/init.rb
A	backends/css/gems/sass-3.2.12/test/Gemfile
A	backends/css/gems/sass-3.2.12/test/Gemfile.lock
A	backends/css/gems/sass-3.2.12/test/sass/cache_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/callbacks_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/conversion_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/css2sass_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/data/hsl-rgb.txt
A	backends/css/gems/sass-3.2.12/test/sass/engine_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/exec_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/extend_test.rb
A
backends/css/gems/sass-3.2.12/test/sass/fixtures/test_staleness_check_across_importers.css
A
backends/css/gems/sass-3.2.12/test/sass/fixtures/test_staleness_check_across_importers.scss
A	backends/css/gems/sass-3.2.12/test/sass/functions_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/importer_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/logger_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/mock_importer.rb
A	backends/css/gems/sass-3.2.12/test/sass/more_results/more1.css
A
backends/css/gems/sass-3.2.12/test/sass/more_results/more1_with_line_comments.css
A
backends/css/gems/sass-3.2.12/test/sass/more_results/more_import.css
A
backends/css/gems/sass-3.2.12/test/sass/more_templates/_more_partial.sass
A	backends/css/gems/sass-3.2.12/test/sass/more_templates/more1.sass
A
backends/css/gems/sass-3.2.12/test/sass/more_templates/more_import.sass
A	backends/css/gems/sass-3.2.12/test/sass/plugin_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/results/alt.css
A	backends/css/gems/sass-3.2.12/test/sass/results/basic.css
A
backends/css/gems/sass-3.2.12/test/sass/results/cached_import_option.css
A	backends/css/gems/sass-3.2.12/test/sass/results/compact.css
A	backends/css/gems/sass-3.2.12/test/sass/results/complex.css
A	backends/css/gems/sass-3.2.12/test/sass/results/compressed.css
A	backends/css/gems/sass-3.2.12/test/sass/results/expanded.css
A	backends/css/gems/sass-3.2.12/test/sass/results/filename_fn.css
A	backends/css/gems/sass-3.2.12/test/sass/results/if.css
A	backends/css/gems/sass-3.2.12/test/sass/results/import.css
A	backends/css/gems/sass-3.2.12/test/sass/results/import_charset.css
A
backends/css/gems/sass-3.2.12/test/sass/results/import_charset_1_8.css
A
backends/css/gems/sass-3.2.12/test/sass/results/import_charset_ibm866.css
A	backends/css/gems/sass-3.2.12/test/sass/results/import_content.css
A	backends/css/gems/sass-3.2.12/test/sass/results/line_numbers.css
A	backends/css/gems/sass-3.2.12/test/sass/results/mixins.css
A	backends/css/gems/sass-3.2.12/test/sass/results/multiline.css
A	backends/css/gems/sass-3.2.12/test/sass/results/nested.css
A	backends/css/gems/sass-3.2.12/test/sass/results/options.css
A	backends/css/gems/sass-3.2.12/test/sass/results/parent_ref.css
A	backends/css/gems/sass-3.2.12/test/sass/results/script.css
A	backends/css/gems/sass-3.2.12/test/sass/results/scss_import.css
A	backends/css/gems/sass-3.2.12/test/sass/results/scss_importee.css
A
backends/css/gems/sass-3.2.12/test/sass/results/subdir/nested_subdir/nested_subdir.css
A	backends/css/gems/sass-3.2.12/test/sass/results/subdir/subdir.css
A	backends/css/gems/sass-3.2.12/test/sass/results/units.css
A	backends/css/gems/sass-3.2.12/test/sass/results/warn.css
A	backends/css/gems/sass-3.2.12/test/sass/results/warn_imported.css
A	backends/css/gems/sass-3.2.12/test/sass/script_conversion_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/script_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/scss/css_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/scss/rx_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/scss/scss_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/scss/test_helper.rb
A
backends/css/gems/sass-3.2.12/test/sass/templates/_cached_import_option_partial.scss
A
backends/css/gems/sass-3.2.12/test/sass/templates/_double_import_loop2.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/_filename_fn_import.scss
A
backends/css/gems/sass-3.2.12/test/sass/templates/_imported_charset_ibm866.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/_imported_charset_utf8.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/_imported_content.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/_partial.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/_same_name_different_partiality.scss
A	backends/css/gems/sass-3.2.12/test/sass/templates/alt.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/basic.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/bork1.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/bork2.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/bork3.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/bork4.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/bork5.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/cached_import_option.scss
A	backends/css/gems/sass-3.2.12/test/sass/templates/compact.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/complex.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/compressed.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/double_import_loop1.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/expanded.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/filename_fn.scss
A	backends/css/gems/sass-3.2.12/test/sass/templates/if.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/import.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/import_charset.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/import_charset_1_8.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/import_charset_ibm866.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/import_content.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/importee.less
A	backends/css/gems/sass-3.2.12/test/sass/templates/importee.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/line_numbers.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/mixin_bork.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/mixins.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/multiline.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/nested.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/nested_bork1.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/nested_bork2.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/nested_bork3.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/nested_bork4.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/nested_import.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/nested_mixin_bork.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/options.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/parent_ref.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/same_name_different_ext.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/same_name_different_ext.scss
A
backends/css/gems/sass-3.2.12/test/sass/templates/same_name_different_partiality.scss
A	backends/css/gems/sass-3.2.12/test/sass/templates/script.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/scss_import.scss
A
backends/css/gems/sass-3.2.12/test/sass/templates/scss_importee.scss
A
backends/css/gems/sass-3.2.12/test/sass/templates/single_import_loop.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/subdir/nested_subdir/_nested_partial.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/subdir/nested_subdir/nested_subdir.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/subdir/subdir.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/units.sass
A	backends/css/gems/sass-3.2.12/test/sass/templates/warn.sass
A
backends/css/gems/sass-3.2.12/test/sass/templates/warn_imported.sass
A	backends/css/gems/sass-3.2.12/test/sass/test_helper.rb
A
backends/css/gems/sass-3.2.12/test/sass/util/multibyte_string_scanner_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/util/subset_map_test.rb
A	backends/css/gems/sass-3.2.12/test/sass/util_test.rb
A	backends/css/gems/sass-3.2.12/test/test_helper.rb
A	backends/css/gems/sass-3.2.12/vendor/listen/CHANGELOG.md
A	backends/css/gems/sass-3.2.12/vendor/listen/CONTRIBUTING.md
A	backends/css/gems/sass-3.2.12/vendor/listen/Gemfile
A	backends/css/gems/sass-3.2.12/vendor/listen/Guardfile
A	backends/css/gems/sass-3.2.12/vendor/listen/LICENSE
A	backends/css/gems/sass-3.2.12/vendor/listen/README.md
A	backends/css/gems/sass-3.2.12/vendor/listen/Rakefile
A	backends/css/gems/sass-3.2.12/vendor/listen/Vagrantfile
A	backends/css/gems/sass-3.2.12/vendor/listen/lib/listen.rb
A	backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/adapter.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/adapters/bsd.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/adapters/darwin.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/adapters/linux.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/adapters/polling.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/adapters/windows.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/dependency_manager.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/directory_record.rb
A	backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/listener.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/multi_listener.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/turnstile.rb
A	backends/css/gems/sass-3.2.12/vendor/listen/lib/listen/version.rb
A	backends/css/gems/sass-3.2.12/vendor/listen/listen.gemspec
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/adapter_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/adapters/bsd_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/adapters/darwin_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/adapters/linux_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/adapters/polling_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/adapters/windows_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/dependency_manager_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/directory_record_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/listener_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/multi_listener_spec.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/listen/turnstile_spec.rb
A	backends/css/gems/sass-3.2.12/vendor/listen/spec/listen_spec.rb
A	backends/css/gems/sass-3.2.12/vendor/listen/spec/spec_helper.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/support/adapter_helper.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/support/directory_record_helper.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/support/fixtures_helper.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/support/listeners_helper.rb
A
backends/css/gems/sass-3.2.12/vendor/listen/spec/support/platform_helper.rb
A	backends/css/mkdeps.py
A	backends/css/org.gnome.CodeAssist.v1.css.service.in
M	configure.ac

commit 220fd6958b6ba4075bf2940fc52654f1c8943013
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-13

    [backends/rbcommon] Fix module namespacing

M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb

commit c189baa492647571f7ae8926d07dd0bbf129625a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-13

    [backends/go] Update go.dbus

M	backends/go/deps/src/github.com/guelfey/go.dbus/call.go
M	backends/go/deps/src/github.com/guelfey/go.dbus/conn.go
M	backends/go/deps/src/github.com/guelfey/go.dbus/conn_darwin.go
M	backends/go/deps/src/github.com/guelfey/go.dbus/conn_other.go
M	backends/go/deps/src/github.com/guelfey/go.dbus/dbus.go
M	backends/go/deps/src/github.com/guelfey/go.dbus/decoder.go
M	backends/go/deps/src/github.com/guelfey/go.dbus/export.go
M	backends/go/deps/src/github.com/guelfey/go.dbus/message.go
M	backends/go/deps/src/github.com/guelfey/go.dbus/proto_test.go
M
backends/go/deps/src/github.com/guelfey/go.dbus/transport_darwin.go
M
backends/go/deps/src/github.com/guelfey/go.dbus/transport_unixcred.go
M	backends/go/transport_dbus.go

commit 7a0241e6b69dccb1de6d97f8a9bf41ec7a90527c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-13

    [backends/c] More makefile heuristics

M	backends/c/makefileintegration.py

commit 2001490b97135d63f8a2a916259a944a1a1df238
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-13

    [backends/c] Fix dispose of makefile path

M	backends/c/makefileintegration.py

commit 3024eb5331a4123c93c5ae5aad17d6192529551d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-13

    [backends/go] Run go fmt

M	backends/go/dbus.go
M	backends/go/go.go
M	backends/go/server_dbus.go

commit b4a67f5f6f6849e68fdf23699b989204ef866537
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Dispose makefile cache

M	backends/c/service.py

commit b439e3ca9973e5b573e93afabb97c18ef48a1899
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Do not try cache in when determining targets

M	backends/c/makefileintegration.py

commit ae55ab4a90cad9734ff1ade9647667bfca44fb7b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Improved makefile caching and monitoring

M	backends/c/makefileintegration.py

commit 92eef19ae9fc2bf34b221fbe035d928155b9eb98
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Remove debug statements

M	backends/c/service.py

commit 5e9157814148f920faf03f83cf0aca71d2e0a7d3
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Implement include file project support

M	backends/c/Makefile.am
M	backends/c/__init__.py
C064	backends/c/__init__.py	backends/c/service.py

commit 8e0a641af62dfe063176a484e45cb042db23f6f5
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/pycommon] Allow any rest arguments

M	backends/pycommon/gnome/codeassistance/__init__.py

commit 9fcec214ebc32d583f0606d21fe91d9cf46bffc8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Return correct bytes for file in clang

M	backends/c/clang/cindex.py

commit f371a03dcb552f5309ea917f7e7eeea55b32edbf
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Debug log make exceptions

M	backends/c/makefileintegration.py

commit 257769a5cf48ab2be82ede5f61040ef8b1540e80
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Be quiet when running make

M	backends/c/makefileintegration.py

commit debb256bb3ea58901d0e5e0619bad5c5c2ae5800
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Check flags for multiple possible targets

M	backends/c/makefileintegration.py

commit 9fa8fb7d1fb49ef4c72b97e7ba1f4d02c7217333
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Remove extra empty line

M	backends/c/makefileintegration.py

commit 395beba123384c11445a6799d8d211717305d255
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Makefile integration testing made easier

M	backends/c/makefileintegration.py

commit 0555d46070f0fc83c8bb40d9573496c93720c979
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] python 2 compability

M	backends/c/makefileintegration.py

commit 668b46d6b7fd69675aa9c03e1abadf9ec6a68be8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Recursively look for possible makefile targets

M	backends/c/makefileintegration.py

commit f3f6b190405e61782914617f1a8e6fb8a0f2da81
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    Check for pygobject runtime, not devel

M	configure.ac

commit 4ea541a825415d5e725d17d871b6261cd702c3e1
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Check also for configure.in and configure

M	backends/c/makefileintegration.py

commit 0e423e5308152880b912692ece29fad62b937a3e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Check if makefile has changed to reparse

M	backends/c/__init__.py
M	backends/c/makefileintegration.py

commit d18b2019967fbec36f4b692a25965d9fd92987d1
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-12

    [backends/c] Fix statting makefile for changes

M	backends/c/makefileintegration.py

commit 8665afd50fa16970d9f16c4d9ea72e900919cf4c
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	2013-11-12

    [backends/vala] Support libvala-0.24

M	configure.ac

commit bf7ddb168be8cd32fd28a0c8580350bf85ac7345
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    Make cursor a SourceLocation

M	README
M	backends/go/dbus.go
M	backends/go/parser.go
M	backends/go/server_dbus.go
M	backends/go/service.go
M	backends/jscommon/gnome/codeassistance/transport_dbus.js
M	backends/jscommon/gnome/codeassistance/types.js
M	backends/pycommon/gnome/codeassistance/transport_dbus.py
M	backends/pycommon/gnome/codeassistance/types.py
M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb
M	backends/rbcommon/gnome/codeassistance/types.rb
M	backends/vala/dbus.vala
M	backends/vala/document.vala

commit 6b3e56def8f45a5dc0c396b4f4ae3e4a05f886b8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    Versioned dbus API

R093	README.md	README
M	backends/c/Makefile.am
R064	backends/c/org.gnome.CodeAssist.c.service.in
backends/c/org.gnome.CodeAssist.v1.c.service.in
M	backends/go/Makefile.am
M	backends/go/dbus.go
R064	backends/go/org.gnome.CodeAssist.go.service.in
backends/go/org.gnome.CodeAssist.v1.go.service.in
M	backends/go/server_dbus.go
M	backends/go/transport_dbus.go
M	backends/js/Makefile.am
M	backends/js/main.js
R064	backends/js/org.gnome.CodeAssist.js.service.in
backends/js/org.gnome.CodeAssist.v1.js.service.in
M	backends/jscommon/gnome/codeassistance/transport_dbus.js
M	backends/pycommon/gnome/codeassistance/transport_dbus.py
M	backends/python/Makefile.am
R063	backends/python/org.gnome.CodeAssist.python.service.in
backends/python/org.gnome.CodeAssist.v1.python.service.in
M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb
M	backends/ruby/Makefile.am
R063	backends/ruby/org.gnome.CodeAssist.ruby.service.in
backends/ruby/org.gnome.CodeAssist.v1.ruby.service.in
M	backends/sh/Makefile.am
R064	backends/sh/org.gnome.CodeAssist.sh.service.in
backends/sh/org.gnome.CodeAssist.v1.sh.service.in
M	backends/vala/Makefile.am
M	backends/vala/dbus.vala
R063	backends/vala/org.gnome.CodeAssist.vala.service.in
backends/vala/org.gnome.CodeAssist.v1.vala.service.in
M	backends/xml/Makefile.am
R064	backends/xml/org.gnome.CodeAssist.xml.service.in
backends/xml/org.gnome.CodeAssist.v1.xml.service.in
M	configure.ac

commit d9ec7db6cb0dc15bfaad5f232b09e4c7e567552a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    Add new README

D	README
A	README.md

commit 577ed21fdf3972bccac03c1cc4a0b5647073a15a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/vala] Support multiple versions of libvala-2.x

M	backends/vala/Makefile.am
M	configure.ac

commit 47838cde51f641b61ae6c4c1793c230c6896b8be
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/sh] Use bash instead of sh

M	backends/sh/__init__.py

commit 35280b63a64212b6bd4c0f9b957f8cb1044a8f33
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/sh] Fix for new architecture

M	backends/sh/__init__.py

commit 9ca4d909effb4ecec7160fff0393a1e8b1cca2de
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/js] Fix for new architecture

M	backends/js/main.js

commit e02459b020d266cb6293f78957bf21028934c0b4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/jscommon] Fix for new architecture

M	backends/jscommon/gnome/codeassistance/transport.js
M	backends/jscommon/gnome/codeassistance/transport_dbus.js
M	backends/jscommon/gnome/codeassistance/types.js

commit cb7c53de337b9c472bb6eaec0a68625e4c9df0b9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/go] Work around AST bug

M
backends/go/deps/src/code.google.com/p/go.tools/go/types/resolver.go

commit 9cda0d97c416a8c9e0547b6c36bf04673596d900
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/go] Fix for new architecture

D	backends/go/app.go
A	backends/go/dbus.go
D	backends/go/diagnostic.go
D	backends/go/diagnostic_dbus.go
D	backends/go/document.go
D	backends/go/document_dbus.go
A	backends/go/server_dbus.go
M	backends/go/service.go
D	backends/go/service_dbus.go
M	backends/go/transport_dbus.go

commit b1d3aaf56f8e5f8b30ca88d99e588ded804aba17
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/vala] Cleanup

M	backends/vala/dbus.vala
M	backends/vala/document.vala
M	backends/vala/service.vala

commit d10ff0e6b7bdee2880ccca7ab362e8d36cf9bc71
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/vala] Export dummy document

M	backends/vala/dbus.vala

commit 84105967c5d5cfb077e6823cb151902eeaaffba0
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/vala] Remove supported services

M	backends/vala/dbus.vala

commit d0d190013e50325ae44a35a93898d26145982a58
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/vala] Remove paths

M	backends/vala/document.vala

commit d15e2d26bbdf662c75012b811134a22b9bb16c9c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/c] Open files in binary mode

M	backends/c/__init__.py

commit 918eca7923444daa716ff631fd6bebdf55ed7c19
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/pycommon] Initialise service

M	backends/pycommon/gnome/codeassistance/transport_dbus.py

commit d06937bc66535cd87f01d37bad06e5f3602f6382
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/ruby] Fix for new architecture

M	backends/ruby/app.rb

commit 563d65c2d109e28d34848f73a5de9e151b98f64b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/rbcommon] Fix for new architecture

M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb
M	backends/rbcommon/gnome/codeassistance/types.rb

commit 3352adff10c0b5ffdbd05052ce4d57c440e96784
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    wip

M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb
M	backends/rbcommon/gnome/codeassistance/types.rb
M	backends/vala/dbus.vala
A	backends/vala/makefileintegration.vala
M	backends/vala/service.vala
M	backends/vala/types.vala
A	backends/vala/valaoptionparser.vala

commit d05e170ac3e3f0d0be2ec59af0ba9278fbda8431
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/pycommon] Do not increase range for location

M	backends/pycommon/gnome/codeassistance/types.py

commit c8ec6ab9df2e1011fcc7233df54caed38636c11e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-11

    [backends/pycommon] Remove unused ids

M	backends/pycommon/gnome/codeassistance/transport_dbus.py

commit 2aa5c480f2ae4b65d13781d9495d4904377a8668
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/c] parse_all should return list

M	backends/c/__init__.py

commit e869d27dfe3e9082697941218c5d825a4f5b0223
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/c] Fix wrong variable name

M	backends/c/__init__.py

commit 1529db68f82410250734d4796248aa116612b7e9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/pycommon] Fix from_tuple

M	backends/pycommon/gnome/codeassistance/types.py

commit 08ed2e4b60a4e9103b5a46df4ca5b65f4e304dac
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/c] Fix for new architecture

M	backends/c/__init__.py

commit beb6925337c642f31118e38e9d4a5308df775b37
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backend/pycommon] Fix initialization

M	backends/pycommon/gnome/codeassistance/transport_dbus.py

commit 3f18cef1e75fd591066c96b68be04a2ec6902676
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/pycommon] Fix app dispose

M	backends/pycommon/gnome/codeassistance/transport_dbus.py

commit 006f33fa7efb7ff4c7b688e93c9103bf128f7136
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/xml] Fix for new architecture

M	backends/xml/__init__.py

commit 8f3fb838399e34312cc6430ac484761bad8cf1bd
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/python] Fix for new architecture

M	backends/python/__init__.py

commit 850d90e66a2e5ed5be793eae61856f8bf6d04ed4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/pycommon] Reorganize architecture

M	backends/pycommon/gnome/codeassistance/transport_dbus.py
M	backends/pycommon/gnome/codeassistance/types.py

commit c5ee1c404ba282e423423c35b2b823a803605743
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-11

    [backends/pycommon]: use GLib.Mainloop instead of deprecated one

M	backends/pycommon/gnome/codeassistance/transport_dbus.py

commit 0d45a0f46cf8e2f42f971378bf10582afccc1239
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-11

    [backends/c]: wrap filtered elements to a list

M	backends/c/__init__.py

commit c5e52feaf531af5c31a65fe14def5023bfce6acd
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-10

    [backends/c] Some more python3 fixes for clang

M	backends/c/clang/cindex.py

commit 4b1aa5645e0c447ca211b587f8116d5c28c1b3c9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-11-09

    Prefer py3 also in the sh backend

M	backends/sh/sh.in

commit 1df84e3a959188b6710508c4751b35be01ebf558
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-11-09

    Bourne shell backend

M	backends/Makefile.am
A	backends/sh/Makefile.am
A	backends/sh/__init__.py
A	backends/sh/org.gnome.CodeAssist.sh.service.in
A	backends/sh/sh.in
M	backends/vala/Makefile.am
M	configure.ac

commit f20fb8c542e318fc59584f20bd76008ae862e1b1
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/c] Fix makefile integration for python3

M	backends/c/makefileintegration.py

commit 3e434d692e8857607d0e0557612812ef3ce2b3d8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/c] Fix clang bindings for python3

M	backends/c/clang/cindex.py

commit 4f2ac4800006ff8b60ee90b57e40fa0dc9cff4ec
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    Use python3 if available

M	backends/c/c.in
M	backends/python/python.in
M	backends/xml/xml.in
M	configure.ac

commit 397864de953651fadad4aef4e692fce29e264141
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/js] Added support for parsing "let" and "const"

M	backends/js/acorn.js

commit 541840550b42e826f1eb7b9a6d61f8b57c368cfc
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/js] Fix parsing actual file contents

M	backends/js/main.js

commit 5e28d8e2b85df6541a059c495735df412198476f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/jscommon] Do not use destructuring assignment for now

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit f7f6118a70cd469659cb386e9b960fed3af0ed6e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/jscommon] Fix disposing app

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit 708c1bcf656accf46d5046dd84934bb1674772fc
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/vala] Clean paths

M	backends/vala/dbus.vala

commit 571eff25f968869a20e873a7d0a444121471d477
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/jscommon] Clean paths

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit bcfa532da151134ca56637a40ba0699b28fcffa5
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/rbcommon] Clean paths

M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb
M	backends/rbcommon/gnome/codeassistance/types.rb

commit 2d5db67a89de751e03ff96045cbdaaa02d04fc09
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/jscommon] Implemented app dispose

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit 24f7eee0e626b5a06280270a670ab8e3ee51b59e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/jscommon] Do not use E4X

M	backends/jscommon/gnome/codeassistance/transport_dbus.js

commit f4f682205cf977dc3ebee967f41be423b53a4e70
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/{py,rb}common] Fix Parse signature for cursor type

M	backends/pycommon/gnome/codeassistance/transport_dbus.py
M	backends/rbcommon/gnome/codeassistance/transport/dbus.rb

commit 1ad2f34a06de0f2afb7140d2e3d64ed4cb7ebe31
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-09

    [backends/js] Added javascript backend

M	backends/Makefile.am
A	backends/js/Makefile.am
A	backends/js/acorn.js
A	backends/js/js.in
A	backends/js/main.js
A	backends/js/org.gnome.CodeAssist.js.service.in
A	backends/jscommon/Makefile.am
A	backends/jscommon/gnome/codeassistance/transport.js
A	backends/jscommon/gnome/codeassistance/transport_dbus.js
A	backends/jscommon/gnome/codeassistance/types.js
M	configure.ac

commit a6a8e65723d2188755170b6e17055ef5a2615869
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [backends/pycommon] Fix passing id to service

M	backends/pycommon/gnome/codeassistance/transport_dbus.py

commit c3fbb4695ef10a8989517ca08f15cb82173cefa8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [backends/go] Remove remnants of http transport for now

M	backends/go/go.go
D	backends/go/platform_dbus.go

commit 57057df91bfe84f867cc5f863bffd01e7bc068a9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [clients/gedit] Move back to gedit-code-assistance

M	Makefile.am
D	clients/gedit/Makefile.am
D	clients/gedit/data/Makefile.am
D	clients/gedit/data/codeassistance.css
D	clients/gedit/data/codeassistance.plugin.in
D
clients/gedit/data/org.gnome.gedit.plugins.codeassistance.gschema.xml.in
D	clients/gedit/src/Makefile.am
D	clients/gedit/src/gca-app-activatable.vala
D	clients/gedit/src/gca-backend-manager.vala
D	clients/gedit/src/gca-backend.vala
D	clients/gedit/src/gca-dbus.vala
D	clients/gedit/src/gca-diagnostic-colors.vala
D	clients/gedit/src/gca-diagnostic-message.vala
D	clients/gedit/src/gca-diagnostic-tags.vala
D	clients/gedit/src/gca-diagnostic.vala
D	clients/gedit/src/gca-diagnostics.vala
D	clients/gedit/src/gca-document.vala
D	clients/gedit/src/gca-expand-range.vala
D	clients/gedit/src/gca-log.vala
D	clients/gedit/src/gca-plugin.vala
D	clients/gedit/src/gca-remote-service.vala
D	clients/gedit/src/gca-scrollbar-marker.vala
D	clients/gedit/src/gca-semantic-value-support.vala
D	clients/gedit/src/gca-semantic-value.vala
D	clients/gedit/src/gca-source-index.vala
D	clients/gedit/src/gca-source-location.vala
D	clients/gedit/src/gca-source-range-support.vala
D	clients/gedit/src/gca-source-range.vala
D	clients/gedit/src/gca-symbol-browser-support.vala
D	clients/gedit/src/gca-symbol-browser.vala
D	clients/gedit/src/gca-unsaved-file.vala
D	clients/gedit/src/gca-utils-c.c
D	clients/gedit/src/gca-utils-c.h
D	clients/gedit/src/gca-view-activatable.vala
D	clients/gedit/src/gca-view.vala
D	clients/gedit/vapi/Makefile.am
D	clients/gedit/vapi/gca-utils.vapi
M	configure.ac

commit 1267e6186ea40b40de904efb347d15034b65376e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [backends/go] Advertise go as MultiDoc

M	backends/go/service_dbus.go

commit 6623e5f14ff5e3da9be7c1018a1b348840e24c55
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [backends/c] Ignore errors without location information

M	backends/c/__init__.py

commit 9ba85c0fb3ba1047970973d28a5805b82e7b60eb
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [backends/c] Fix off by one slice of string

M	backends/c/makefileintegration.py

commit 984c4fd790d0ecafa9e49f27b99a207be8ed1263
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [backends/c] -f and -W flags can only appear in composite form

M	backends/c/makefileintegration.py

commit c64e1c957cdde9c3828be8c684deefd4cddcda7e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [backends/c] Increase i after separate arg include path

M	backends/c/makefileintegration.py

commit 68e12534325926eacf6de05df91298d4f871e838
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [clients/gedit] Fix SemanticValues service name

M	clients/gedit/src/gca-remote-service.vala

commit c200bf0b34da869e121c07de0c777238e3f6ba4c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [clients/gedit] Make sure to OR service flags

M	clients/gedit/src/gca-backend.vala

commit 116f8c7416362db6b7f40dc7afb28a0235681d86
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-08

    [backends/c] Remove debug statement

M	backends/c/makefileintegration.py

commit 2775efd7d1771e478b8d81986ef266d463c2273d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-08

    [backends/c] do not check configure.ac on find_subdir_with_path

M	backends/c/makefileintegration.py

commit 5b7558cbef46745b879528bd3fbe73eccbdcd3e1
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    Added MultiDoc support

    Most backends do not parse multiple files and therefore do not need
    to be passed all unsaved files in an editor. Now only backends
    that support
    the org.gnome.CodeAssist.MultiDoc service will receive unsaved
    documents
    outside of the primary document. This is currently only implemented
    in the
    C backend.

M	backends/c/__init__.py
M	backends/pycommon/gnome/codeassistance/transport_dbus.py
M	clients/gedit/src/gca-backend.vala
M	clients/gedit/src/gca-remote-service.vala

commit e1844217d48e30481d61787fdefbada39cc967ac
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    [backends/c] More advanced Makefile detection

    Makefiles are now also searched in subdirectories relative
    to configure.ac, if no other Makefile has been found. It takes
    into account the relative path to the source from the configure.ac
    location. This allows proper makefile detection when using a separate
    build directory.

M	backends/c/makefileintegration.py

commit b36a5d1902560349669e8668125cd709b9e41385
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    [backends/ruby] Added ruby backend

M	backends/Makefile.am
A	backends/rbcommon/Makefile.am
A	backends/rbcommon/gnome/codeassistance/transport.rb
A	backends/rbcommon/gnome/codeassistance/transport/dbus.rb
A	backends/rbcommon/gnome/codeassistance/types.rb
A	backends/ruby/Makefile.am
A	backends/ruby/app.rb
A	backends/ruby/org.gnome.CodeAssist.ruby.service.in
A	backends/ruby/parser.rb
A	backends/ruby/ruby.in
M	configure.ac

commit 78dc3014560e00e21336982c9b5afeb5a553b48c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    Added doap file

A	gnome-code-assistance.doap

commit 7324b8cbff47f09be51e74be3a891040220c2882
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    Revert "implement css backend"

    This reverts commit 9ca0fec8bb0fe66234c6103621e5b9b7a1da470c.

M	backends/Makefile.am
D	backends/css/Makefile.am
D	backends/css/__init__.py
D	backends/css/css.in
D	backends/css/org.gnome.CodeAssist.css.service.in
M	configure.ac

commit 9ca0fec8bb0fe66234c6103621e5b9b7a1da470c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-07

    implement css backend

M	backends/Makefile.am
A	backends/css/Makefile.am
A	backends/css/__init__.py
A	backends/css/css.in
A	backends/css/org.gnome.CodeAssist.css.service.in
M	configure.ac

commit 4549aade0d495cb22b390cdb6d014f41afeb5c53
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    [clients/gedit] Fix handling dbus errors

M	clients/gedit/src/gca-backend-manager.vala
M	clients/gedit/src/gca-backend.vala
M	clients/gedit/src/gca-dbus.vala
M	clients/gedit/src/gca-diagnostics.vala

commit 2a3cf473f6f69a0a31de0b3d10bb8473fb4af015
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    [clients/gedit] Fix wrong reference to fixits

M	clients/gedit/src/gca-diagnostic.vala

commit 6238d0d9483da205779d739ceac667d54a831931
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    [clients/gedit] Do not crash when settings schema is missing

M	clients/gedit/src/gca-backend-manager.vala

commit 966361dc20ac3b756cc8acdf8469cd594289da05
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    Cleanup configure messages

M	configure.ac

commit 87470387bc916583c2d66dddfc60d6b5b3f3f446
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    Test for python dbus and pygobject during configure

M	configure.ac

commit cd114ef5dbf6a3ce56898b17d662443db486abf8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    Reorganize structure of python backends

M	backends/Makefile.am
M	backends/c/c.in
D	backends/common/Makefile.am
A	backends/pycommon/Makefile.am
R100	backends/common/gnome/__init__.py
backends/pycommon/gnome/__init__.py
R100	backends/common/gnome/codeassistance/__init__.py
backends/pycommon/gnome/codeassistance/__init__.py
R100	backends/common/gnome/codeassistance/transport_dbus.py
backends/pycommon/gnome/codeassistance/transport_dbus.py
R100	backends/common/gnome/codeassistance/types.py
backends/pycommon/gnome/codeassistance/types.py
M	backends/python/python.in
M	backends/xml/xml.in
M	configure.ac

commit 0d8cb0ddef4985145f6bbd0c1037ea7557d5a344
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    [clients/gedit] Fix warnings on unused dbus classes

M	clients/gedit/src/gca-dbus.vala
M	clients/gedit/src/gca-diagnostic.vala
M	clients/gedit/src/gca-diagnostics.vala
M	clients/gedit/src/gca-source-location.vala
M	clients/gedit/src/gca-source-range.vala

commit 44677779b5e1cf8e1238bec0d1be23540f6df12c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    [clients/gedit] Use gsettings to store language mapping

M	Makefile.am
M	clients/gedit/data/Makefile.am
A
clients/gedit/data/org.gnome.gedit.plugins.codeassistance.gschema.xml.in
M	clients/gedit/src/gca-backend-manager.vala
M	configure.ac

commit 26afd17eef0eaedc6e1de26d58c7987b608c6517
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-07

    Fix non-root build dir

M	backends/go/Makefile.am
M	clients/gedit/src/Makefile.am

commit f013c97157a38407f0eccb6d907500a3417b1c08
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [clients/gedit] Implement language mapping

    Multiple different languages can be served by a single backend. One
    example of such languages are C, C++ and Obj-C all being processed by
    the C backend.

M	clients/gedit/src/gca-backend-manager.vala

commit e20b4a2903f36d264fd6ffbc417b11823e0254e0
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [backends/common] Make source to range around single character

M	backends/common/gnome/codeassistance/types.py

commit befad5f4decd3ed05bed1f9c42fc0eb280e93807
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [backends/common] Add convenient __repr__

M	backends/common/gnome/codeassistance/types.py

commit acb1383150506ea08da429cedaa14e1c0ea2c374
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [backends/c] New backend for C/C++/Obj-C

M	backends/Makefile.am
A	backends/c/Makefile.am
A	backends/c/__init__.py
A	backends/c/c.in
A	backends/c/clang/__init__.py
A	backends/c/clang/cindex.py
A	backends/c/clang/enumerations.py
A	backends/c/clangimporter.py
A	backends/c/config.py.in
A	backends/c/makefileintegration.py
A	backends/c/org.gnome.CodeAssist.c.service.in
M	configure.ac

commit 29245e99afcd18e77f41440150378e7171cbfed4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [backends/common] Add constructor for Fixit

M	backends/common/gnome/codeassistance/types.py

commit 87478cd4f8882d8ec445ae362e1b762b56d9227b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [clients/gedit] Remove vapis from EXTRA_DIST

M	clients/gedit/vapi/Makefile.am

commit eb032bdc623c7c8e49db9fd3841558f5c47c0ccc
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [backends/xml] Fix copyright

M	backends/xml/__init__.py

commit a071cb95aac2eeda8857526775642ba5da7fb045
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [backends/common] dispose on doc

M	backends/common/gnome/codeassistance/transport_dbus.py
M	backends/python/__init__.py
M	backends/xml/__init__.py

commit 0420828c88befc45767b225c252b679c9f1e0d26
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [backends/common] Normalize paths

M	backends/common/gnome/codeassistance/transport_dbus.py

commit e28d909aed42bc06292d59614a831f58b39b2af7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    [backends/python] No need to store AST for now

M	backends/python/__init__.py

commit 46cd8980d0bff210f21fe0f05effb45cbb27b490
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-06

    Remove paths method from dbus API

M	backends/common/gnome/codeassistance/transport_dbus.py
M	backends/python/__init__.py
M	backends/vala/dbus.vala
M	backends/xml/__init__.py
M	clients/gedit/src/gca-dbus.vala

commit 343f5b2cd2451bef1b3b40b10d8016476d23d654
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [backends/go] Added initial go backend

M	backends/Makefile.am
A	backends/go/Makefile.am
A	backends/go/app.go
A	backends/go/deps/src/code.google.com/p/go.tools/AUTHORS
A	backends/go/deps/src/code.google.com/p/go.tools/CONTRIBUTORS
A	backends/go/deps/src/code.google.com/p/go.tools/LICENSE
A	backends/go/deps/src/code.google.com/p/go.tools/PATENTS
A	backends/go/deps/src/code.google.com/p/go.tools/README
A	backends/go/deps/src/code.google.com/p/go.tools/go/exact/exact.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/exact/exact_test.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/api.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/api_test.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/assignments.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/builtins.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/builtins_test.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/call.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/check.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/check_test.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/conversions.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/errors.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/eval.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/eval_test.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/exportdata.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/expr.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/gcimporter.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/gcimporter_test.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/go11.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/go12.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/issues_test.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/labels.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/lookup.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/methodset.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/objects.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/objset.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/operand.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/package.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/predicates.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/resolver.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/resolver_test.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/return.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/scope.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/selection.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/self_test.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/sizes.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/stdlib_test.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/stmt.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/builtins.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/const0.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/const1.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/constdecl.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/conversions.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/cycles.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/cycles1.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/cycles2.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/cycles3.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/cycles4.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/decls0.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/decls1.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/decls2a.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/decls2b.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/decls3.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/errors.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/exports.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/expr0.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/expr1.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/expr2.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/expr3.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/gotos.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/importdecl0a.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/importdecl0b.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/init0.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/labels.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/methodsets.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/shifts.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/stmt0.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/stmt1.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/testdata/vardecl.src
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/token_test.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/typemap/typemap.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/typemap/typemap_test.go
A	backends/go/deps/src/code.google.com/p/go.tools/go/types/types.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/types_test.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/typexpr.go
A
backends/go/deps/src/code.google.com/p/go.tools/go/types/universe.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/LICENSE
A	backends/go/deps/src/github.com/guelfey/go.dbus/README.markdown
A
backends/go/deps/src/github.com/guelfey/go.dbus/_examples/eavesdrop.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/_examples/introspect.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/_examples/list-names.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/_examples/notification.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/_examples/prop.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/_examples/server.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/_examples/signal.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/auth.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/auth_external.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/auth_sha1.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/call.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/conn.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/conn_darwin.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/conn_other.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/conn_test.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/dbus.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/decoder.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/doc.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/encoder.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/examples_test.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/export.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/introspect/call.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/introspect/introspect.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/introspect/introspectable.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/message.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/prop/prop.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/proto_test.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/sig.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/sig_test.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/transport_darwin.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/transport_generic.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/transport_unix.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/transport_unix_test.go
A
backends/go/deps/src/github.com/guelfey/go.dbus/transport_unixcred.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/variant.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/variant_lexer.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/variant_parser.go
A	backends/go/deps/src/github.com/guelfey/go.dbus/variant_test.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/LICENSE
A	backends/go/deps/src/github.com/jessevdk/go-flags/README.md
A
backends/go/deps/src/github.com/jessevdk/go-flags/check_crosscompile.sh
A	backends/go/deps/src/github.com/jessevdk/go-flags/commander.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/convert.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/error.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/example_test.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/examples/add.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/examples/main.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/examples/rm.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/flags.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/group.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/group_private.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/help.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/ini.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/man.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/multitag.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/option.go
A
backends/go/deps/src/github.com/jessevdk/go-flags/option_private.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/parser.go
A
backends/go/deps/src/github.com/jessevdk/go-flags/parser_private.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/termsize.go
A
backends/go/deps/src/github.com/jessevdk/go-flags/termsize_linux.go
A
backends/go/deps/src/github.com/jessevdk/go-flags/termsize_other.go
A	backends/go/deps/src/github.com/jessevdk/go-flags/termsize_unix.go
A
backends/go/deps/src/github.com/jessevdk/go-flags/termsize_windows.go
A	backends/go/diagnostic.go
A	backends/go/diagnostic_dbus.go
A	backends/go/document.go
A	backends/go/document_dbus.go
A	backends/go/go.go
A	backends/go/options.go
A	backends/go/org.gnome.CodeAssist.go.service.in
A	backends/go/parser.go
A	backends/go/platform_dbus.go
A	backends/go/service.go
A	backends/go/service_dbus.go
A	backends/go/transport.go
A	backends/go/transport_dbus.go
M	configure.ac

commit 2120a6609a8b15c8cb760ddacedca9f89e896e86
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [backends/vala] Clean stamp file

M	backends/vala/Makefile.am

commit 03c359e219e4a61329aea042ea3b629658d78ecc
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [clients/gedit] Return correct warning mark category

M	clients/gedit/src/gca-diagnostics.vala

commit fbd6cafce8b08a01b0280be36d73992b2a241824
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [backends/vala] Fix range normalization

M	backends/vala/service.vala

commit 01c72921b9ed1fab2678a354a2c984c782e2b90c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    Updated AUTHORS and copyright notice

M	AUTHORS
M	backends/vala/service.vala

commit 3b6bd800943b0f2a5da062c993b15886729d2f32
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [clients/gedit] Bump glib target to 2.36

M	clients/gedit/src/Makefile.am

commit 510574156ced607f174491291319012f95d48902
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [clients/gedit] Give temporary file same file extension

M	clients/gedit/src/gca-document.vala

commit b751db28d0aa71d3e8e63f53cc9930702dbf7535
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [backends/vala] Port of vala backend

M	backends/Makefile.am
A	backends/vala/Makefile.am
A	backends/vala/application.vala
A	backends/vala/dbus.vala
A	backends/vala/document.vala
A	backends/vala/options.vala
A	backends/vala/org.gnome.CodeAssist.vala.service.in
A	backends/vala/service.vala
A	backends/vala/types.vala
M	configure.ac

commit f8a078d0fbf526ccf9ef8126727b79f6fffdb92f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [clients/gedit] Debug log unsaved document errors

M	clients/gedit/src/gca-backend.vala

commit aef15c9655fa838b0d98b76b4a7ffb9c0326556e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [clients/gedit] Fix saving unsaved document contents

M	clients/gedit/src/gca-document.vala

commit 2d82c9c51d892d2cbcda15110fc735a146b95638
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [backends/common] Terminate backend when last client disconnects

M	backends/common/gnome/codeassistance/transport_dbus.py

commit 038dd539930888d8b2ac8164f1894df97662c59d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    Add color to configure output

M	configure.ac

commit 2f7f4240145b903d27f186f7a56eb05c6dbdd68f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [backends/xml] Remove appid from dispose

M	backends/xml/__init__.py

commit 4f6b8c5ede56f9b180bf23f119565035f0f3b35e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [clients/gedit] Log backend error

M	clients/gedit/src/gca-backend-manager.vala

commit 58304578f451c934430d22c16030135e9ac9ca23
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [clients/gedit] Fix logging domain

M	clients/gedit/src/gca-log.vala

commit 37ae0fe92ae01bf50374064fa4a3e47d387a0f7d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-05

    [backends/common] Cleanup

M	backends/common/Makefile.am
D	backends/common/__init__.py
D	backends/common/app.py
R100	backends/common/codeassist/__init__.py
backends/common/gnome/__init__.py
A	backends/common/gnome/codeassistance/__init__.py
R055	backends/common/transport_dbus.py
backends/common/gnome/codeassistance/transport_dbus.py
R088	backends/common/cassist.py
backends/common/gnome/codeassistance/types.py
M	backends/python/Makefile.am
M	backends/python/__init__.py
M	backends/python/python.in
M	backends/xml/Makefile.am
M	backends/xml/__init__.py
M	backends/xml/xml.in
M	clients/gedit/src/gca-backend.vala
M	clients/gedit/src/gca-dbus.vala
M	configure.ac

commit e5fd0a365b49bc60cb9ae9f0b8f9348e9db90d81
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [backends/common] Added common service

M	backends/common/cassist.py
M	backends/python/__init__.py
M	backends/xml/__init__.py

commit 0a89654f6f381a7d43942faf25db31dd3a9200da
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [backends/xml] Port xml backend as dbus service

M	backends/Makefile.am
A	backends/xml/Makefile.am
A	backends/xml/__init__.py
A	backends/xml/org.gnome.CodeAssist.xml.service.in
A	backends/xml/xml.in
M	configure.ac

commit db233a61a21db24cc46926a9cb341766d85f3664
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    Reorganize python backend modules

M	backends/common/Makefile.am
M	backends/common/app.py
A	backends/common/codeassist/__init__.py
M	backends/common/transport_dbus.py
M	backends/python/Makefile.am
M	backends/python/__init__.py
M	backends/python/python.in

commit 387071f885306decdeb00af0dfb53ffdebee2690
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [clients/gedit] Set foreground color for diagnostics

M	clients/gedit/data/codeassistance.css

commit 61fa75692d8e63085cdf93662a945f2c59a284eb
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [backends/common] Remove redundant fields

M	backends/common/cassist.py

commit debe651046bafceaced276d19589b426a9c51735
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [backends/common] Convert unsaved document tuple

M	backends/common/transport_dbus.py
M	backends/python/__init__.py

commit d1a735a58620a7fcfeaafe99309e4d6e1dd49ed1
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [backends/common] Do not pass fd for now

M	backends/common/transport_dbus.py

commit b0fa3dbb8991bc9b600330fcf632e6f9d5b6aadf
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [backends/common] Remove debug statement

M	backends/common/transport_dbus.py

commit 1ef2cf21ee5471b2821c251131770df2e9a215f9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    Remove offset from diagnostics

M	backends/common/cassist.py
M	backends/common/transport_dbus.py

commit 9d363d0d29866f9c678d9d588184acb47124dbe6
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    Remove unused document services

D	clients/gedit/src/gca-document-services.vala

commit 41d65617df34e6f2659608e76f9a82b304646a17
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    Major rewrite of internals to use remote backends

M	Makefile.am
M	backends/Makefile.am
M	backends/common/Makefile.am
M	backends/python/Makefile.am
M	clients/gedit/Makefile.am
M	clients/gedit/data/Makefile.am
M	clients/gedit/data/codeassistance.css
M	clients/gedit/src/Makefile.am
M	clients/gedit/src/gca-backend-manager.vala
M	clients/gedit/src/gca-backend.vala
M	clients/gedit/src/gca-dbus.vala
M	clients/gedit/src/gca-diagnostic-colors.vala
M	clients/gedit/src/gca-diagnostic-message.vala
D	clients/gedit/src/gca-diagnostic-support.vala
M	clients/gedit/src/gca-diagnostic-tags.vala
M	clients/gedit/src/gca-diagnostic.vala
A	clients/gedit/src/gca-diagnostics.vala
M	clients/gedit/src/gca-document.vala
M	clients/gedit/src/gca-plugin.vala
A	clients/gedit/src/gca-remote-service.vala
M	clients/gedit/src/gca-scrollbar-marker.vala
M	clients/gedit/src/gca-semantic-value-support.vala
M	clients/gedit/src/gca-semantic-value.vala
M	clients/gedit/src/gca-source-index.vala
M	clients/gedit/src/gca-source-location.vala
M	clients/gedit/src/gca-source-range-support.vala
M	clients/gedit/src/gca-source-range.vala
M	clients/gedit/src/gca-view.vala
D	clients/gedit/src/gca.vala
M	clients/gedit/vapi/Makefile.am
M	configure.ac
M	git.mk

commit a62a4dfa100e85376e32abb89134420bbd9d071e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [gedit] Start of dbus backend

M	clients/gedit/src/Makefile.am
D	clients/gedit/src/gca-backend-implementation.vala
M	clients/gedit/src/gca-backend-manager.vala
M	clients/gedit/src/gca-backend.vala
A	clients/gedit/src/gca-dbus.vala
M	clients/gedit/src/gca-diagnostic-support.vala
C066	clients/gedit/src/gca-backend.vala
clients/gedit/src/gca-document-services.vala
M	clients/gedit/src/gca-document.vala
M	clients/gedit/src/gca-view.vala

commit dff6b2c1594b295fb586e467a4128c3cec8ce569
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [backends/python] Install service file

M	backends/python/Makefile.am

commit 3d4d80bfc50fc1b92a522728abf6b6f65108abb5
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    [backends/python] Fix service file

M	backends/python/org.gnome.CodeAssist.python.service.in

commit df64ca836732c1ecd5ad07dc0588c970a7f368d7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-04

    Implement org.gnome.CodeAssist.Service.SupportedServices

M	backends/common/transport_dbus.py
M	backends/python/__init__.py

commit 5fbbcaa2c552fa2abe00acc9cba5b0c4394d3859
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Removed obsolete design file

D	design.jft

commit e8ce101d313972148bfcee2d36e9e53256fd3b0e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Add conditional support for python backend

A	backends/Makefile.am
A	backends/python/Makefile.am
M	configure.ac

commit b2b02937a583d05feb8e44053f597e9c5a57bfcf
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Add initial python backend

M	Makefile.am
A	backends/common/Makefile.am
A	backends/common/__init__.py
A	backends/common/app.py
A	backends/common/cassist.py
A	backends/common/transport_dbus.py
A	backends/python/__init__.py
A	backends/python/org.gnome.CodeAssist.python.service.in
A	backends/python/python.in
M	configure.ac

commit b76985950b56ee1ee1a1cb02325e98de57e21e06
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Remove old backends

D	backends/Makefile.am
D	backends/c/Makefile.am
D	backends/c/gcp-c-backend.vala
D	backends/c/gcp-c-compile-args.vala
D	backends/c/gcp-c-document.vala
D	backends/c/gcp-c-semantic-value.vala
D	backends/c/gcp-c-translation-unit.vala
D	backends/c/gcp-c-translator.vala
D	backends/c/gcpbackendc.plugin.in
D	backends/python/Makefile.am
D	backends/python/gcpbackendpython.plugin.in
D	backends/python/gcpbackendpython/Makefile.am
D	backends/python/gcpbackendpython/__init__.py
D	backends/python/gcpbackendpython/backend.py
D	backends/python/gcpbackendpython/document.py
D	backends/xml/Makefile.am
D	backends/xml/gcpbackendxml.plugin.in
D	backends/xml/gcpbackendxml/Makefile.am
D	backends/xml/gcpbackendxml/__init__.py
D	backends/xml/gcpbackendxml/backend.py
D	backends/xml/gcpbackendxml/document.py

commit 5e90c989cc12e91ee7c78662f3b62c491c2e54db
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Change license to LGPL

M	COPYING

commit be559f534d2bab70f66ce7e80b8d0d47b5ccbc1c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Added INSTALL to MAINTAINERCLEANFILES

M	Makefile.am

commit 990a4b4ed75b0147dec8a0cf5a25ee17281a5839
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Fix parallel build

M	Makefile.am
M	clients/gedit/src/Makefile.am

commit ec4477322ac2a414029cdedcea04c46103bf5b3d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Remove unneeded dependency

M	clients/gedit/src/Makefile.am

commit 628eb5f77d54dadc834b91b47dccdb386e3706d0
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-03

    Major reorganization of code

    This moves the gedit client library to a separate directory and
    prepares
    for having dbus enabled backends. Also switch to non-recursive make.

M	Makefile.am
A	clients/gedit/Makefile.am
A	clients/gedit/data/Makefile.am
R100	data/gcp.css	clients/gedit/data/codeassistance.css
R091	data/gcp.plugin.in
clients/gedit/data/codeassistance.plugin.in
A	clients/gedit/src/Makefile.am
R086	src/gcp-app-activatable.vala
clients/gedit/src/gca-app-activatable.vala
R099	src/gcp-backend-implementation.vala
clients/gedit/src/gca-backend-implementation.vala
C073	src/gcp-symbol-browser.vala
clients/gedit/src/gca-backend-manager.vala
R098	src/gcp-backend.vala	clients/gedit/src/gca-backend.vala
R093	src/gcp-diagnostic-colors.vala
clients/gedit/src/gca-diagnostic-colors.vala
R093	src/gcp-diagnostic-message.vala
clients/gedit/src/gca-diagnostic-message.vala
R094	src/gcp-diagnostic-support.vala
clients/gedit/src/gca-diagnostic-support.vala
R090	src/gcp-diagnostic-tags.vala
clients/gedit/src/gca-diagnostic-tags.vala
R099	src/gcp-diagnostic.vala clients/gedit/src/gca-diagnostic.vala
R093	src/gcp-document.vala	clients/gedit/src/gca-document.vala
R098	src/gcp-expand-range.vala
clients/gedit/src/gca-expand-range.vala
R096	src/gcp-log.vala	clients/gedit/src/gca-log.vala
R073	src/gcp-plugin.vala	clients/gedit/src/gca-plugin.vala
R092	src/gcp-scrollbar-marker.vala
clients/gedit/src/gca-scrollbar-marker.vala
R084	src/gcp-semantic-value-support.vala
clients/gedit/src/gca-semantic-value-support.vala
R099	src/gcp-semantic-value.vala
clients/gedit/src/gca-semantic-value.vala
R097	src/gcp-source-index.vala
clients/gedit/src/gca-source-index.vala
R099	src/gcp-source-location.vala
clients/gedit/src/gca-source-location.vala
R098	src/gcp-source-range-support.vala
clients/gedit/src/gca-source-range-support.vala
R099	src/gcp-source-range.vala
clients/gedit/src/gca-source-range.vala
R093	src/gcp-symbol-browser-support.vala
clients/gedit/src/gca-symbol-browser-support.vala
R098	src/gcp-symbol-browser.vala
clients/gedit/src/gca-symbol-browser.vala
R098	src/gcp-unsaved-file.vala
clients/gedit/src/gca-unsaved-file.vala
R062	src/gcp-utils-c.c	clients/gedit/src/gca-utils-c.c
A	clients/gedit/src/gca-utils-c.h
R089	src/gcp-view-activatable.vala
clients/gedit/src/gca-view-activatable.vala
R096	src/gcp-view.vala	clients/gedit/src/gca-view.vala
R095	src/gcp.vala	clients/gedit/src/gca.vala
A	clients/gedit/vapi/Makefile.am
A	clients/gedit/vapi/gca-utils.vapi
M	configure.ac
D	data/Makefile.am
D	gedit-code-assistance.doap
D	src/Makefile.am
D	src/gcp-backend-manager.vala
D	src/gcp-utils-c.h
D	src/gcp.deps
D	vapi/Makefile.am
D	vapi/clang.vapi
D	vapi/config.vapi
D	vapi/gcp-utils.vapi
D	vapi/gdk-3.0.deps
D	vapi/gdk-3.0.vapi
D	vapi/gedit-3.0.vapi
D	vapi/gobject-introspection-1.0.vapi
D	vapi/gtk+-3.0.deps
D	vapi/gtk+-3.0.vapi
D	vapi/gtksourceview-3.0.vapi
D	vapi/libpeas-1.0.vapi

commit 1006812685e01ab52c74e48074b0a1bd031c3fef
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-25

    Release 0.2.0

M	NEWS
M	README
M	configure.ac

commit 4c59e110e316ab48a41513ebec95142c2c5c0495
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-20

    Depend on gedit 3.7.6

M	configure.ac

commit dfa7f4e89436e35b70d13749b7f77d0c8ba3218b
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-03-18

    Actually run the threads as threads

    Also make them daemons, that way when to process
    wants to close it can.

M	backends/python/gcpbackendpython/document.py
M	backends/xml/gcpbackendxml/document.py

commit 97ec876195699cb05c2cd65648119f99c4b7a40b
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-02-04

    Ensure the tags

M	src/gcp-diagnostic-tags.vala

commit dc703d208b37a4b04b487a024e74dc60594efaec
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-02-03

    Check the style scheme is not null before using it

M	src/gcp-view.vala

commit cf6c57a69f60469d8c9a2cd51abc73693a44cb36
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-02-03

    Get also the natural_height to avoid a crash.

M	src/gcp-diagnostic-message.vala

commit 0c5886c14f8fc826bd0b1c7c8ae0f593e4034ad4
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-02-03

    Port to python 3

M	backends/python/gcpbackendpython.plugin.in
M	backends/python/gcpbackendpython/__init__.py
M	backends/python/gcpbackendpython/backend.py
M	backends/xml/gcpbackendxml.plugin.in
M	backends/xml/gcpbackendxml/__init__.py
M	backends/xml/gcpbackendxml/backend.py
M	src/gcp-backend-manager.vala

commit 5f2c2c0cb2d18c34051b4cb150611e398eeaf783
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-20

    Release 0.1.5

M	NEWS
M	configure.ac

commit 2ac21f2e7693359b565d17694d58aba8fea24ae3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-20

    xml: the sources are python

M	backends/xml/gcpbackendxml/Makefile.am

commit e63df5efeeeff7bcc4b58dd982ab84984e4315d4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-15

    Release 0.1.4

M	NEWS
M	configure.ac

commit 24b251f4d2cf6a757833f9b57d53a737dcda0793
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-15

    Do not try to clean the vala time stamp

M	backends/c/Makefile.am

commit ed1ddd3442162809d7f418e9b8841e56412ca336
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-15

    Export llvm version in main config

    This avoids distcheck problems when configure would generate a vala
    file newer then the timestamp (which would cause an attempted rebuild
    of c files from vala files, which in case would make distcheck fail).

M	backends/c/Makefile.am
M	backends/c/gcp-c-compile-args.vala
D	backends/c/gcp-c-config.vala.in
M	configure.ac
M	vapi/config.vapi

commit 75b1d4ff4355b271641e429cecfb0b0ff218b869
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-15

    Improved clang not found in configure status

M	configure.ac

commit 82861361acb47303dea32b54a0c6fa6d4b283c4b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-14

    Revert previous commit as it seems to crash.

M	src/gcp-source-index.vala

commit 178b7f74419fef92b66f849552e1c95b03251c5e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-14

    Fix some warnings about Sequence static functions

M	src/gcp-source-index.vala

commit a8f3cdd17268c5144a8e1308cc080139ac9e1f77
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-14

    Add clang include depending on the version

M	backends/c/gcp-c-compile-args.vala

commit 93f2c6facb0d3ba91f1e3efcd8493877eeb8ca60
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-14

    Fix build

M	src/Makefile.am

commit 0d1573197b52699b8e4124767309557233c56113
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-14

    Use AM_VALAFLAGS

M	backends/c/Makefile.am
M	src/Makefile.am

commit 0452682974f006e27534d9519be509d7019839e8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-14

    INSTALL is autogenerated

D	INSTALL

commit 69daedd3497cd00169d0560c2f55a7d7a0a1ef82
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-14

    Set working directory for make to makefile directory

M	backends/c/gcp-c-compile-args.vala

commit 41635a40a5f5fc7055efbc69f2f9d2999c60432a
Author: Jono <jono@foodnotblogs.com>
Date:	2012-06-29

    Move comment parsing for a schema to a more efficient function.

    Removed generic excaption catch since it might not be meaningfull
    to the user without pointing them to a line number.

M	backends/xml/gcpbackendxml/document.py

commit 0fafcb0f18cd43986b7d95ed4fceaa28cd67e533
Author: Jono <jono@foodnotblogs.com>
Date:	2012-03-30

    Added support for parsing XSD files.

M	README
M	backends/xml/gcpbackendxml/document.py

commit b47be63198d28dc3a601b3d14249a37ee01bc9b9
Author: Jono <jono@foodnotblogs.com>
Date:	2012-03-28

    Added support for parsing RelaxNG files and validating XML against
    RelaxNG files when they are referenced with a modeline.

M	README
M	backends/xml/gcpbackendxml/document.py

commit 1ebb92ad53185d61f87077438a13a189f27a9d81
Author: Jono <jono@foodnotblogs.com>
Date:	2012-03-22

    Added XML backend. Only deals with parse errors at this point.

M	backends/Makefile.am
A	backends/xml/Makefile.am
A	backends/xml/gcpbackendxml.plugin.in
A	backends/xml/gcpbackendxml/Makefile.am
A	backends/xml/gcpbackendxml/__init__.py
A	backends/xml/gcpbackendxml/backend.py
A	backends/xml/gcpbackendxml/document.py
M	configure.ac

commit 1f5d2924493ea4e2a31cfc4b8fc5a1c1523c5afb
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-13

    Set gedit gir dir using gedit prefix

M	configure.ac

commit 2557eaa481211722498e7df612167998d89169e1
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-13

    Bump peas version to 1.5

M	configure.ac

commit 729a6581339c863de4f4549460ee1682e82350ac
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-19

    Fixed wrong flag for vala header

M	src/Makefile.am

commit a7f1b91a2fd85dd0499e9caa6624b31042f5ee36
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-18

    Fixed distcheck

M	backends/c/Makefile.am
M	data/Makefile.am
M	src/Makefile.am
A	src/gcp.deps
M	vapi/Makefile.am

commit 6a295a7cae3f513eb5594b491d4adb1e1d7e0b1c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-15

    Fix distcheck

M	src/Makefile.am
M	vapi/Makefile.am

commit a5efb24d98170b740a5b068e486ba136cc3c386d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-14

    Added python backend

M	backends/Makefile.am
A	backends/python/Makefile.am
A	backends/python/gcpbackendpython.plugin.in
A	backends/python/gcpbackendpython/Makefile.am
A	backends/python/gcpbackendpython/__init__.py
A	backends/python/gcpbackendpython/backend.py
A	backends/python/gcpbackendpython/document.py
M	configure.ac

commit 3f9f07633bec8859a4c57821ad1bccc02e1f248c
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-14

    Make more binding friendly

M	backends/c/gcp-c-document.vala
M	src/Makefile.am
M	src/gcp-diagnostic-support.vala
M	src/gcp-diagnostic-tags.vala
M	src/gcp-document.vala
M	src/gcp-semantic-value-support.vala
M	src/gcp-source-index.vala
M	src/gcp-view.vala

commit 8bd0b948fe01e195a767e10dd1f2ab712b64d370
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-13

    Do not register types dynamically

    Normally we should register them in the type module, however the
    problem is that our interfaces are going to be consumed in python.
    pygobject currently uses add_interface_static. Since our interfaces
    would be defined dynamically, this completely crashes gedit. Oh well.

M	src/gcp-plugin.vala

commit 999e9d60609a54dc7e67df0ff543c088a3876bc9
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-13

    Added units for border-width gcp style

M	data/gcp.css

commit b3141300ae902f420aa3368397de23906293c229
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-13

    Moved backends to peas based plugin system

M	Makefile.am
A	backends/Makefile.am
A	backends/c/Makefile.am
R092	src/backends/c/gcp-c-backend.vala
backends/c/gcp-c-backend.vala
R100	src/backends/c/gcp-c-compile-args.vala
backends/c/gcp-c-compile-args.vala
R100	src/gcp-config.vala.in	backends/c/gcp-c-config.vala.in
R100	src/backends/c/gcp-c-document.vala
backends/c/gcp-c-document.vala
R100	src/backends/c/gcp-c-semantic-value.vala
backends/c/gcp-c-semantic-value.vala
R100	src/backends/c/gcp-c-translation-unit.vala
backends/c/gcp-c-translation-unit.vala
R100	src/backends/c/gcp-c-translator.vala
backends/c/gcp-c-translator.vala
A	backends/c/gcpbackendc.plugin.in
M	configure.ac
M	src/Makefile.am
C080	src/gcp-backend.vala	src/gcp-backend-implementation.vala
M	src/gcp-backend-manager.vala
M	src/gcp-backend.vala
M	src/gcp-diagnostic-colors.vala
M	src/gcp-diagnostic-message.vala
M	src/gcp-diagnostic-support.vala
M	src/gcp-diagnostic-tags.vala
M	src/gcp-document.vala
M	src/gcp-plugin.vala
M	src/gcp-scrollbar-marker.vala
M	src/gcp-semantic-value-support.vala
M	src/gcp-semantic-value.vala
M	src/gcp-symbol-browser-support.vala
M	src/gcp-unsaved-file.vala
M	src/gcp-view.vala
A	vapi/config.vapi
A	vapi/gcp-utils.vapi
D	vapi/gcp.vapi
A	vapi/gobject-introspection-1.0.vapi
M	vapi/libpeas-1.0.vapi

commit 87c9202a2b2bdabb86af33a13d4255834f6e3440
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-06

    Use pixel in the css

M	data/gcp.css

commit 595e1f29c971dfc5c60b450abc36f7489610bead
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-06

    Release 0.1.3

M	NEWS
M	configure.ac

commit aafbd85c4aa80dcb3505a1b5fcd186c8081496f8
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-04

    Move C backend to separate directory

M	configure.ac
M	src/Makefile.am
R100	src/gcp-c-backend.vala	src/backends/c/gcp-c-backend.vala
R100	src/gcp-c-compile-args.vala
src/backends/c/gcp-c-compile-args.vala
R100	src/gcp-c-document.vala src/backends/c/gcp-c-document.vala
R100	src/gcp-c-semantic-value.vala
src/backends/c/gcp-c-semantic-value.vala
R100	src/gcp-c-translation-unit.vala
src/backends/c/gcp-c-translation-unit.vala
R100	src/gcp-c-translator.vala
src/backends/c/gcp-c-translator.vala

commit 09a5f3e866cb683288b473497ae14b12dafa97e3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-04

    Fixed compiler errors for vala 0.15

M	src/gcp-diagnostic-support.vala
M	vapi/clang.vapi

commit 9be29744527d84d34300c677ea34ac3c92440188
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-04

    Chain up on dispose

M	src/gcp-document.vala

commit df6fc09657d94f182dc948601b3a8f2565b9315f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Correct format type specifiers in debug message

M	src/gcp-c-document.vala

commit 9df3163ad0667a4ae6bbfc2d462fc58bac95d25d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Fix warnings of possible unset out variables

M	src/gcp-source-location.vala
M	src/gcp-source-range.vala

commit 3954b288e4ea646a0f5109f1bef29cc3a5654952
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Make classes public

M	src/gcp-diagnostic.vala
M	src/gcp-log.vala
M	src/gcp-scrollbar-marker.vala
M	src/gcp-source-index.vala
M	src/gcp-source-location.vala
M	src/gcp-source-range-support.vala
M	src/gcp-source-range.vala
M	src/gcp-symbol-browser.vala

commit 2b135985f28ca6c4a73f775a38134cf12781712e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Properly destruct document

M	src/gcp-view.vala

commit f922e65fc93a86c3e16eee2fc2d81ae6b9480e59
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Move destruction code to dispose

M	src/gcp-document.vala

commit b0f7ac92a4087ec7e6c0bba0716478599f2a287b
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Remove debug messages

M	src/gcp-c-semantic-value.vala

commit 9e5379d65085034d594fc603531c7dd0f1adf7f2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Pass mapping func owned

M	src/gcp-c-semantic-value.vala

commit 313d56a7c992482e84c247792d93b1bc1f59695a
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Fix adding non mapped semantic value references

M	src/gcp-c-document.vala

commit 7f5ad36d0b715c6b29f30a5ff841100f91d92d53
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-03

    Remove circular reference in semantic value

    This solves a big memory leak

M	src/gcp-c-semantic-value.vala

commit 45976e73063b5555ca0dbe8f461659a05c683008
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-19

    Release 0.1.2

M	NEWS
M	configure.ac

commit e9110fa8dc8935786a14f8810078f34b090e72f6
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-15

    Add include dir hack for clang 2.9

    This might be a fedora related bug, but libclang does not include
    the standard
    include header paths it seems.

M	src/gcp-c-compile-args.vala

commit b42014447ed5361cae943bc73428251e4a5cf385
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-15

    Move various tasks to background threads

    This makes the plugin overall much more responsive

M	src/gcp-c-backend.vala
M	src/gcp-c-document.vala
M	src/gcp-c-semantic-value.vala
M	src/gcp-c-translation-unit.vala
M	src/gcp-diagnostic-support.vala
M	src/gcp-document.vala
M	src/gcp-semantic-value-support.vala
M	src/gcp-view.vala

commit 4e188d01f3fe85769dc99411e7922c0ee54f7977
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Increase delay before reparsing after inactivity

M	src/gcp-c-backend.vala

commit 355def39bd2502d117196d9d46e353e4bbec590c
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Use end_user_action to signal reparse

M	src/gcp-document.vala

commit 7a11a7b34ce346f7b0cc917e8cba09d925c781f9
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Fixed crash in async threads for rescanning makefile

M	src/gcp-c-compile-args.vala

commit 2c618ed3a5968628ac853ab299686e50a8bdfcb9
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Improved finding semantic value definition location for highlighting

M	src/gcp-view.vala

commit 46f8858d4217761e7a75137b11e92c9acbce565e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Added utility to find children of a particular semantic value

M	src/gcp-semantic-value.vala

commit da3d5eef7278185470c49ea1eb46c76c1d269e10
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Use source range/location iter helper functions

M	src/gcp-document.vala

commit 9eaa6fdd8e866a3bf12eee116e8a0699258b3761
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Added helper to get iters from a source range

M	src/gcp-source-range.vala

commit 0c9efbc103a3bf26581a2e0e173a6edcbcb7c617
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Improved getting source location iters

M	src/gcp-source-location.vala

commit 8d5b0fe36648d748f3734ebcb4375215d1462ffc
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Scroll cursor in view when moving to refs

M	src/gcp-view.vala

commit b0ec93ec825b54a4a88049755e21b05c7c276069
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-13

    Release 0.1.1

M	NEWS
M	configure.ac

commit 5ccc9002727b757888b966fbd938b89e92ee846c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-13

    Add vapi in subdir var of makefile.

M	Makefile.am

commit cbe82d3ebd8f66162489ff63a5d0bd7dfdccffc8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-13

    EXTRADIST vapi files

M	configure.ac
A	vapi/Makefile.am

commit 3d79d9dadc4efade279c7b774a0619740b378679
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-13

    Add jesse to AUTHORS

M	AUTHORS

commit e72e75cd6cc625746125239656179783880ae40e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-13

    No need for markdown readme in gnome repo

D	README.markdown

commit ca1dde7e528503bb31d1248f24ff4f0c0c6d733f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-13

    Add doap file.

M	Makefile.am
A	gedit-code-assistance.doap

commit 346bec0653406183eb1c6ab26b8edb070d35d3ad
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-11-13

    Remove gedit 2.x vapis. They are not used anymore

D	vapi/gedit-2.20.deps
D	vapi/gedit-2.20.vapi

commit 83dc44a0de1e1c68ff494226528b4cdb4b129d08
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Bump version to 0.1.0

M	configure.ac

commit aa7e9e7d7ae7dc3b25c4ba69c1f6a1b8d10d5e4e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Rename project to gedit-code-assistance

    Conflicts:

	configure.ac

M	configure.ac

commit a7cae73811045be53d3d2cd620237717eef97b0e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Make distcheck work

M	configure.ac
M	data/Makefile.am
D	data/gcp.gedit-plugin
R092	data/gcp.plugin data/gcp.plugin.in
M	src/Makefile.am

commit 5b3ded3e2969b53c2601c8d323ac255b84e1b646
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Forcefully add /usr/lib/clang/2.8/include for llvm 2.8

    This is really not the right way, but it should make it work on most
    systems running
    2.8. It seems the issue should be resolved in 2.9

M	src/gcp-c-compile-args.vala

commit 04917d767857645f178b19d555f41a847df2eace
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Improve parsing of make arguments (only use same line of output
    as fakecc)

M	src/gcp-c-compile-args.vala

commit d9622019c8cf1b090f07150596f307e4234d0519
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Added logging debug information

M	src/gcp-c-compile-args.vala
M	src/gcp-c-document.vala

commit 92f411f219097803345faf60c2eb1d464a9308ec
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Removed debug statements

M	src/gcp-c-translation-unit.vala

commit 144fcd95ddd2368b01d5f90021f12057898431cf
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Added logging facility

M	configure.ac
M	src/Makefile.am
A	src/gcp-config.vala.in
A	src/gcp-log.vala

commit 583db5fb3971fc506fd6f93117e374a8952207fd
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-11-13

    Fix Sequence constructor call on older vala versions

M	src/gcp-source-index.vala

commit 632cbca67ec86d2a061be920beda6258b448de2b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-30

    Remove leftover

D	src/gcp-window-helper.vala

commit 462fe11ab297694b861aafbdd57c7ee38dff0649
Author: Fabien Parent <parent.f@gmail.com>
Date:	2011-09-14

    Fix segfault

    We are using an iterator without checking if it is valid.

M	src/gcp-view.vala

commit c0badfdf0cf7787eac49b848e4cda68af4fbc15b
Author: Fabien Parent <parent.f@gmail.com>
Date:	2011-09-14

    Fix compilation

    Following to the doc:
    http://valadoc.org/glib-2.0/GLib.Sequence.Sequence.html. Sequence
    doesn't take any parameter in the constructor.

M	src/gcp-source-index.vala

commit 1b45e5c85959dbc425e59c6d17539841d0cc413b
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Remove unneeded code

M	src/gcp-c-document.vala

commit 8abafd8e60f2c86e99e70d9bed274519d5d6168f
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Added shortcut key to go to the definition of a semantic value

M	data/gcp.css
M	src/gcp-c-semantic-value.vala
M	src/gcp-semantic-value.vala
M	src/gcp-view.vala

commit 18c2a5758d5c38916e2b59e7fa6b08a33c22e0ac
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Added keybindings for finding references under cursor

M	data/gcp.css
M	src/gcp-view.vala

commit 30c1602578d2332926bb05759183f2aed6b49869
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Improved cross reference marking for function definitions

M	src/gcp-c-translator.vala
M	src/gcp-semantic-value.vala
M	src/gcp-source-location.vala
M	src/gcp-view.vala

commit ac29ed4fffd0b0130ff0e82e226282bb40452eab
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Automatically create referenced semantic values

    We are ignoring all semantic values from other files than the current
    source file
    being parsed, however we are interested still in those semantic
    values from
    other files (headers) that are referenced. These are now added on
    the fly.

M	src/gcp-c-document.vala
M	src/gcp-view.vala

commit 9603aff9d2c6d5722ec5532653a0b393aaaa1e3a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Make enum values upper case

M	vapi/clang.vapi

commit 8f10b249fe0e7475a02d6da70d31aaac8ab0fb57
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Add more ignored compiler warnings

M	src/Makefile.am

commit cbb2a6b524db3918e65b3a629a58b4809c9fabd7
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Recurse into unsupported semantic values

M	src/gcp-c-semantic-value.vala

commit 5bfdf412adc5c28600d268ad47ce2625bd2dc3a2
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Removed MEMBER_REF cursor kind (not supported in 2.8)

M	src/gcp-c-translator.vala

commit 241d51c73ef4e8076f277e45d902537e67e8f30b
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Fixed getting inner most source range

M	src/gcp-source-index.vala

commit c3cc14884166bf060d2918aae234718fc27c758a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Fix missing API in llvm 2.8

M	src/gcp-c-document.vala
M	vapi/clang.vapi

commit 52af9827aa714a50ded9b67d5c1e6830b63c2a1a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Render cross-references in the scrollbar

M	src/gcp-scrollbar-marker.vala
M	src/gcp-source-index.vala
M	src/gcp-view.vala

commit 254b28f3b48ab735c1cad3b91c254c1ad3022669
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Avoid infinitely loop to find compile args when there is no makefile

M	src/gcp-c-compile-args.vala

commit 83c3d26f87587559017000e6419be4da47ee193d
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Update diagnostic message after style scheme change

M	src/gcp-view.vala

commit c056ad990c621eec352551531dcca138573d083d
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Implemented semantic value support

    This will generate an internal representation of an AST which can then
    be used for features such as cross-referencing and listing symbols.

M	src/Makefile.am
M	src/gcp-c-document.vala
A	src/gcp-c-semantic-value.vala
A	src/gcp-c-translator.vala
M	src/gcp-diagnostic-support.vala
M	src/gcp-diagnostic.vala
M	src/gcp-document.vala
A	src/gcp-semantic-value-support.vala
A	src/gcp-semantic-value.vala
A	src/gcp-source-index.vala
M	src/gcp-source-location.vala
C050	src/gcp-source-range.vala	src/gcp-source-range-support.vala
M	src/gcp-source-range.vala
M	src/gcp-view.vala
M	vapi/clang.vapi

commit c4a893b88b2820c3a81d0b55b917a949517628fe
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Added markdown README

A	README.markdown

commit 16a70edcd32aac118fb2d99ee0fdeb9b8a969f55
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-11

    Added more dependencies in README

M	README

commit e326a5692ca94c13c017d587b585cac79549effb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-10

    css: no need to specify px

M	data/gcp.css

commit 189eb724874581c6908f1c59d84e57e311bd02c7
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-10

    Added README

M	README

commit 63e43d90f1e49a3ff71e2a2783226572e64e8d5a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-10

    Sort found diagnostics in ranges on severity

M	src/gcp-diagnostic-support.vala

commit 388527c02c83554d6d85536212960445eaba5e56
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-10

    Improved style of diagnostic messages

M	data/Makefile.am
A	data/gcp.css
M	src/Makefile.am
A	src/gcp-app-activatable.vala
M	src/gcp-diagnostic-message.vala
M	src/gcp-plugin.vala

commit 53c1154afc1c5059eefaebf0656c73c8972369f1
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-10

    Rename gcp-plugin3.vala to gcp-plugin.vala

M	src/Makefile.am
R100	src/gcp-plugin3.vala	src/gcp-plugin.vala

commit 9cebfaac05af54c9767833087ab95fac64eebf50
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-10

    Fixed some gdk/gtk vapi bugs

A	vapi/gdk-3.0.deps
A	vapi/gdk-3.0.vapi
M	vapi/gtk+-3.0.vapi

commit afcc9a235c9262659d9b5de5ab21a51e277b0060
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-10

    Remove gedit 2 support

M	configure.ac
M	data/Makefile.am
M	src/Makefile.am
M	src/gcp-document.vala
D	src/gcp-plugin2.vala

commit b23f1e40dedd912eceabcba17edd8a2956badefa
Author: Fabien Parent <parent.f@gmail.com>
Date:	2011-09-10

    Fix compilation

M	src/gcp-c-compile-args.vala

commit edea4ff1a99afc4d277104858e8cc9f94f2521a0
Author: Fabien Parent <parent.f@gmail.com>
Date:	2011-09-09

    Fix Autotools --with-gedit parameter

M	configure.ac

commit 7b1ad5c93e6fbd1c13562542bf85dd57a7529f45
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-09

    view: update diagnostic message when the diagnostic is updated.

M	src/gcp-view.vala

commit ddc5d623af94cc92e17c17054be8d2f314af0a4c
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-08

    Added inline tooltip on cursor

M	src/Makefile.am
M	src/gcp-diagnostic-colors.vala
A	src/gcp-diagnostic-message.vala
M	src/gcp-diagnostic-support.vala
M	src/gcp-diagnostic-tags.vala
M	src/gcp-diagnostic.vala
C051	src/gcp-source-location.vala	src/gcp-expand-range.vala
M	src/gcp-source-location.vala
M	src/gcp-view.vala

commit 10bb3ff2aac70c67015cdd2dd25772676e1dfff5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-08

    Some autotools fixes

M	configure.ac

commit d13afcd5549f4e920328bc359d0d777244ac5f41
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Add LLVM_CFLAGS and LLVM_LIBS in Makefile.am for libgcp

M	src/Makefile.am

commit ee6bcebf7cb51e3d73ae63b5104250a38dd25197
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Updated check for llvm-config to be correct

M	configure.ac

commit f529427c7b6e9e7a53eb8f4a3e487ed369a94fff
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Added brackets for AC_MSG_ERROR

M	configure.ac

commit 03e73ee9bc836cb8cc4b1c20df134f34c6aec526
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Fixed autotools detection of llvm/libclang

M	configure.ac

commit 1fc270e2b6d4a0861910373361729282c28e3fdc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-07

    Add license headers

M	src/gcp-backend-manager.vala
M	src/gcp-backend.vala
M	src/gcp-c-backend.vala
M	src/gcp-c-compile-args.vala
M	src/gcp-c-document.vala
M	src/gcp-c-translation-unit.vala
M	src/gcp-diagnostic-colors.vala
M	src/gcp-diagnostic-support.vala
M	src/gcp-diagnostic-tags.vala
M	src/gcp-diagnostic.vala
M	src/gcp-document.vala
M	src/gcp-plugin2.vala
M	src/gcp-plugin3.vala
M	src/gcp-scrollbar-marker.vala
M	src/gcp-source-location.vala
M	src/gcp-source-range.vala
M	src/gcp-symbol-browser-support.vala
M	src/gcp-symbol-browser.vala
M	src/gcp-unsaved-file.vala
M	src/gcp-utils-c.c
M	src/gcp-utils-c.h
M	src/gcp-view-activatable.vala
M	src/gcp-view.vala
M	src/gcp-window-helper.vala
M	src/gcp.vala

commit a67910e24fa5435a2fbe72bdf2aba66291d4d79a
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Fix gtk+-3.0.vapi

M	vapi/gtk+-3.0.vapi

commit 0887fb42c53ce0c11560f58b356a19bb687e54eb
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Fix EOF end of line markings

M	src/gcp-view.vala

commit 9dd8d3cfbfea67d9f7839583ebac1f8bce54ede6
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Make desaturated colors darker

    This is a bit of a hack and can probably be done better later

M	src/gcp-diagnostic-colors.vala

commit a4035ba5e0f4c8dac4fba2469ba9f7b0ecb5bd3e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Make colors slightly less transparent

M	src/gcp-diagnostic-colors.vala

commit 4782a55395b2c4235516cf628a336780d6a1d1fe
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Allow setting source location line

M	src/gcp-source-location.vala

commit 183605c8b163c2f9ddc1cf35a6370c7de74cf7a3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Do not consider not moving past end of buffer a failure

    clang reports wrong (seemingly random) column values for EOF
    diagnostics

M	src/gcp-document.vala

commit c1eaf978705545a3bfedc6171680f70473eda3a3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Emit changed when document saved

M	src/gcp-document.vala

commit f859ed40fa525cb6015978de882f2485091126da
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Clip location in view

M	src/gcp-c-document.vala

commit a0ca8a37b207f4bd5e5583bd5f71e075ebe07fb4
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-07

    Resolve relative include paths for compile args

M	src/gcp-c-compile-args.vala

commit e408c2be78177e33907426c536dfffef9369e73d
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Better protection against wrong line/column counts

M	src/gcp-document.vala
M	src/gcp-view.vala

commit 3e2b75ccc8a664d96f6065dadb232873e0045708
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Prevent duplicate category markers

M	src/gcp-diagnostic-support.vala

commit 0a965af8b7092e24c2e8fc9c3579ee7d70c3462e
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Oops conv

M	src/gcp-view.vala

commit 1cfc34e5611fae82fd2fba25e6865964c5c41d89
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Code cleanup

M	src/gcp-view.vala

commit 4cc2f6ad87aa46c64807c724c50541b64915b52b
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Fix calculation of start of marker drawing

M	src/gcp-scrollbar-marker.vala

commit 6a52e338642a785ea6154a0c049acd04b7c7a9c1
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Add more spacing for scrollbar marker

M	src/gcp-scrollbar-marker.vala

commit 7cbececc886755b5be11d65e8f0bdbd36f360b86
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Make SourceLocation and SourceRange classes

M	src/gcp-source-location.vala
M	src/gcp-source-range.vala

commit f0ade04f52a453244deef50559e79bac89fcd49c
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Remove redundant tooltip information

M	src/gcp-diagnostic.vala
M	src/gcp-view.vala

commit 4c857a1a62583980d21e9e5411ff2472ad2e1b17
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-05

    Protect against empty diagnostics

M	src/gcp-c-document.vala

commit 19a565e979642727f3af651b932a78506776c15a
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-04

    Improved diagnostics support

M	src/Makefile.am
M	src/gcp-c-document.vala
M	src/gcp-c-translation-unit.vala
A	src/gcp-diagnostic-colors.vala
M	src/gcp-diagnostic-support.vala
A	src/gcp-diagnostic-tags.vala
M	src/gcp-diagnostic.vala
M	src/gcp-document.vala
A	src/gcp-scrollbar-marker.vala
A	src/gcp-utils-c.c
A	src/gcp-utils-c.h
M	src/gcp-view.vala
A	vapi/gcp.vapi
A	vapi/gtk+-3.0.deps
A	vapi/gtk+-3.0.vapi

commit 4798bbe9f9855d376e17e5bfd06b1f6bff65aa3d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-03

    Clean built sources

M	src/Makefile.am

commit 9707ca81ac7d5ad608a774116b5c61afb8d8ef7a
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-03

    Enable compile warnings

M	src/Makefile.am

commit 0c08d357152b0fa794030df709d7fd37949a7f9e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-03

    Show/hide line marks when needed

M	src/gcp-view.vala

commit 32ffc224a7208eedeecae12e56c1c59c13a5b33f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-03

    Use symbolic icons if available

M	src/gcp-view.vala

commit fcb6fb63ce9295759b31595ba40c8611d21e2fa2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-03

    Depend on clang 2.8 instead of 2.9 for now

M	src/gcp-c-document.vala
M	vapi/clang.vapi

commit 6ba1a02967e5413fd0c1769b4e1f919b86535a22
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-03

    Fallback on empty compile arguments

M	src/gcp-c-backend.vala
M	src/gcp-c-compile-args.vala
M	src/gcp-c-translation-unit.vala

commit af99cb1095ba0bd908f8b8c0efa5c253bf01e920
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-09-03

    Implemented error reporting

M	src/Makefile.am
M	src/gcp-c-backend.vala
M	src/gcp-c-compile-args.vala
M	src/gcp-c-document.vala
M	src/gcp-c-translation-unit.vala
A	src/gcp-diagnostic-support.vala
A	src/gcp-diagnostic.vala
M	src/gcp-document.vala
A	src/gcp-source-location.vala
A	src/gcp-source-range.vala
M	src/gcp-view.vala
M	vapi/clang.vapi
M	vapi/gtksourceview-3.0.vapi

commit 8ecb9c84dfd85b590fac4fa67e928330c8442a5f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-30

    Fix built for gedit 2

M	configure.ac
M	data/Makefile.am
A	data/gcp.gedit-plugin
M	src/gcp-plugin2.vala

commit 6602cf47be7b63303c8cd9cf30d028c201cd7356
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Various clang vapi fixes

M	vapi/clang.vapi

commit c313131f511fa20fcf228f44cfc6823dca164802
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Add WITH_GEDIT2 and WITH_GEDIT3 defines for vala

M	src/Makefile.am

commit f6ace9c9511f9f327108c91ba5bede451ec20abc
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Reparse tainted documents

M	src/gcp-c-backend.vala

commit d8d565e192327b55e8f78f4dae87708111932418
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Set symbol browser tainted when document changes

M	src/gcp-backend.vala

commit 63bd4efcc37ff914ce0db3c4596ded0c89e6c496
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Symbol browser skeleton code

M	src/gcp-symbol-browser.vala

commit 9d9bda2cac7d9eef295192ba7ac749f3ac18cf39
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Added tainting to document

M	src/gcp-document.vala

commit 0b58d1bc46fc0a95974991ae5773ec261c5f522c
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Protect for null backend

M	src/gcp-view.vala

commit 8c764e6eab6af9c2a532fb1e5efcdbe0d0ef86c8
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Improved and generalized parsing/reparsing of C code

M	src/gcp-c-translation-unit.vala

commit a6a114edbf2b6a7be506da7a05d6cd057b78ec16
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Make find_async real async to preserve context correctly

M	src/gcp-c-compile-args.vala

commit b02c5913c4de2a06e26b1642c6f86b00fb979f14
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Empty args if no target found in makefile

M	src/gcp-c-compile-args.vala

commit 3a40b280a327d358653bf58eb25680df26d159a9
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2011-08-30

    Initialize sources list

M	src/gcp-c-compile-args.vala

commit 1c07d7e49fc09effa4481fd559652193aed3e8b6
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-29

    Start of design document

A	design.jft

commit 23125b8d62591dc57bf61bc71e131a25d3300428
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-29

    Implemented threaded parsing of documents

M	src/Makefile.am
M	src/gcp-backend.vala
M	src/gcp-c-backend.vala
M	src/gcp-c-compile-args.vala
M	src/gcp-c-document.vala
A	src/gcp-c-translation-unit.vala
M	src/gcp-document.vala
M	src/gcp-plugin2.vala
M	src/gcp-symbol-browser.vala
A	src/gcp-unsaved-file.vala
M	src/gcp-window-helper.vala
M	vapi/clang.vapi

commit f467a0a475a88ae185f98515cc12c0c6263953d5
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-29

    Added support for gedit 2

M	configure.ac
M	src/Makefile.am
M	src/gcp-c-document.vala
A	src/gcp-plugin2.vala
R100	src/gcp-plugin.vala	src/gcp-plugin3.vala
M	src/gcp-view-activatable.vala
C071	src/gcp-view-activatable.vala	src/gcp-view.vala
A	src/gcp-window-helper.vala
A	vapi/gedit-2.20.deps
A	vapi/gedit-2.20.vapi

commit 1162cbc4b8d636aaa8c64fa58c5961f85587d2e0
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-29

    wwip

M	src/gcp-c-backend.vala
M	src/gcp-c-compile-args.vala
M	vapi/clang.vapi

commit 74cee81745c22f1d85fbd854325693dc8ad6fbef
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-29

    wip

M	Makefile.am
M	configure.ac
A	data/Makefile.am
A	data/gcp.plugin
M	src/Makefile.am
A	src/gcp-backend-manager.vala
A	src/gcp-backend.vala
A	src/gcp-c-backend.vala
R054	src/gcp-compile-args.vala	src/gcp-c-compile-args.vala
A	src/gcp-c-document.vala
A	src/gcp-document.vala
A	src/gcp-plugin.vala
A	src/gcp-symbol-browser-support.vala
A	src/gcp-symbol-browser.vala
A	src/gcp-view-activatable.vala
A	src/gcp.vala
M	vapi/clang.vapi
A	vapi/libpeas-1.0.vapi

commit f9d0c0d412fbd6f4446c02b2ecf496abe7d02b65
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Added modelines for clang.vapi

M	vapi/clang.vapi

commit dac714407e838188ae332bf76defdf1205edd279
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Added vala pkgs for compilation

M	src/Makefile.am

commit 56218045500ae827c1f646590b9a10e3326e96d9
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Fixed libs substitution

M	configure.ac

commit c602c6245c9089e2b52a6a44e14cd14b7b45f568
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Added gedit dependency

M	configure.ac

commit d12324784db689f18016456510b39e1ea347d769
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Added gedit 3.0 vapi files

A	vapi/gedit-3.0.vapi
A	vapi/gtksourceview-3.0.vapi

commit 5f3ebd7c5bf3bd31c703e8371c063ac4094def6e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-27

    Added empty m4 directory

A	m4/.gitignore

commit 53c248c60ace2b06a8cf1fd771add7357d8a7c47
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-26

    Added complete API bindings

M	vapi/clang.vapi

commit e995ec7b59ad6599362a17c8b2518c8a16441377
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-26

    Completed bindings (only missing completion)

M	vapi/clang.vapi

commit 6e844223ad502384beecf89aab6c6e7ec57fc0c7
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-25

    Added more clang API

M	vapi/clang.vapi

commit b6649db2c21a114183052ae4813f48731156f7ab
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-25

    Added start of clang vapi bindings

M	src/Makefile.am
A	vapi/clang.vapi

commit f458584f67d6d1afa800d6268c360dfe4642b190
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-25

    Fix relative source path

M	src/gcp-compile-args.vala

commit 4ec437ed0c7046375e31745fc555d1970e9a42b2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-25

    Find also other targets with dependencies on source

M	src/gcp-compile-args.vala

commit 14688cd38a682c528119e7c6f25db852f5260ad3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-25

    Added autotools support

A	AUTHORS
A	COPYING
A	ChangeLog
A	INSTALL
A	Makefile.am
A	NEWS
A	README
A	autogen.sh
A	configure.ac
A	git.mk
A	src/Makefile.am
R100	gcp-compile-args.vala	src/gcp-compile-args.vala

commit 41b5acc237f7ac1ac912c9f449a821698a2e99af
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-08-25

    Added class to guess compile flags from a makefile

A	gcp-compile-args.vala
